if polyglot#init#is_disabled(expand('<sfile>:p'), 'julia', 'autoload/julia_latex_symbols.vim')
  finish
endif

" This file is autogenerated from the script 'generate_latex_symbols_table.jl'
" The symbols are based on Julia version 1.9.0-DEV.16

scriptencoding utf-8

function! julia_latex_symbols#get_dict()
  return {
    \ '\exclamdown': '¡',
    \ '\sterling': '£',
    \ '\yen': '¥',
    \ '\brokenbar': '¦',
    \ '\S': '§',
    \ '\copyright': '©',
    \ '\:copyright:': '©',
    \ '\ordfeminine': 'ª',
    \ '\neg': '¬',
    \ '\circledR': '®',
    \ '\:registered:': '®',
    \ '\highminus': '¯',
    \ '\degree': '°',
    \ '\pm': '±',
    \ '\^2': '²',
    \ '\^3': '³',
    \ '\P': '¶',
    \ '\cdotp': '·',
    \ '\^1': '¹',
    \ '\ordmasculine': 'º',
    \ '\1/4': '¼',
    \ '\1/2': '½',
    \ '\3/4': '¾',
    \ '\questiondown': '¿',
    \ '\AA': 'Å',
    \ '\AE': 'Æ',
    \ '\DH': 'Ð',
    \ '\times': '×',
    \ '\O': 'Ø',
    \ '\TH': 'Þ',
    \ '\ss': 'ß',
    \ '\aa': 'å',
    \ '\ae': 'æ',
    \ '\eth': 'ð',
    \ '\dh': 'ð',
    \ '\div': '÷',
    \ '\o': 'ø',
    \ '\th': 'þ',
    \ '\DJ': 'Đ',
    \ '\dj': 'đ',
    \ '\hbar': 'ħ',
    \ '\imath': 'ı',
    \ '\L': 'Ł',
    \ '\l': 'ł',
    \ '\NG': 'Ŋ',
    \ '\ng': 'ŋ',
    \ '\OE': 'Œ',
    \ '\oe': 'œ',
    \ '\hvlig': 'ƕ',
    \ '\nrleg': 'ƞ',
    \ '\Zbar': 'Ƶ',
    \ '\doublepipe': 'ǂ',
    \ '\jmath': 'ȷ',
    \ '\trna': 'ɐ',
    \ '\trnsa': 'ɒ',
    \ '\openo': 'ɔ',
    \ '\rtld': 'ɖ',
    \ '\schwa': 'ə',
    \ '\pgamma': 'ɣ',
    \ '\pbgam': 'ɤ',
    \ '\trnh': 'ɥ',
    \ '\btdl': 'ɬ',
    \ '\rtll': 'ɭ',
    \ '\trnm': 'ɯ',
    \ '\trnmlr': 'ɰ',
    \ '\ltlmr': 'ɱ',
    \ '\ltln': 'ɲ',
    \ '\rtln': 'ɳ',
    \ '\clomeg': 'ɷ',
    \ '\ltphi': 'ɸ',
    \ '\trnr': 'ɹ',
    \ '\trnrl': 'ɺ',
    \ '\rttrnr': 'ɻ',
    \ '\rl': 'ɼ',
    \ '\rtlr': 'ɽ',
    \ '\fhr': 'ɾ',
    \ '\rtls': 'ʂ',
    \ '\esh': 'ʃ',
    \ '\trnt': 'ʇ',
    \ '\rtlt': 'ʈ',
    \ '\pupsil': 'ʊ',
    \ '\pscrv': 'ʋ',
    \ '\invv': 'ʌ',
    \ '\invw': 'ʍ',
    \ '\trny': 'ʎ',
    \ '\rtlz': 'ʐ',
    \ '\yogh': 'ʒ',
    \ '\glst': 'ʔ',
    \ '\reglst': 'ʕ',
    \ '\inglst': 'ʖ',
    \ '\turnk': 'ʞ',
    \ '\dyogh': 'ʤ',
    \ '\tesh': 'ʧ',
    \ '\^h': 'ʰ',
    \ '\^j': 'ʲ',
    \ '\^r': 'ʳ',
    \ '\^w': 'ʷ',
    \ '\^y': 'ʸ',
    \ '\rasp': 'ʼ',
    \ '\verts': 'ˈ',
    \ '\verti': 'ˌ',
    \ '\lmrk': 'ː',
    \ '\hlmrk': 'ˑ',
    \ '\sbrhr': '˒',
    \ '\sblhr': '˓',
    \ '\rais': '˔',
    \ '\low': '˕',
    \ '\u': '˘',
    \ '\tildelow': '˜',
    \ '\^l': 'ˡ',
    \ '\^s': 'ˢ',
    \ '\^x': 'ˣ',
    \ '\grave': '̀',
    \ '\acute': '́',
    \ '\hat': '̂',
    \ '\tilde': '̃',
    \ '\bar': '̄',
    \ '\overbar': '̅',
    \ '\breve': '̆',
    \ '\dot': '̇',
    \ '\ddot': '̈',
    \ '\ovhook': '̉',
    \ '\ocirc': '̊',
    \ '\H': '̋',
    \ '\check': '̌',
    \ '\candra': '̐',
    \ '\oturnedcomma': '̒',
    \ '\ocommatopright': '̕',
    \ '\droang': '̚',
    \ '\palh': '̡',
    \ '\rh': '̢',
    \ '\c': '̧',
    \ '\k': '̨',
    \ '\sbbrg': '̪',
    \ '\wideutilde': '̰',
    \ '\underbar': '̲',
    \ '\strike': '̶',
    \ '\sout': '̶',
    \ '\not': '̸',
    \ '\underleftrightarrow': '͍',
    \ '\Alpha': 'Α',
    \ '\Beta': 'Β',
    \ '\Gamma': 'Γ',
    \ '\Delta': 'Δ',
    \ '\Epsilon': 'Ε',
    \ '\Zeta': 'Ζ',
    \ '\Eta': 'Η',
    \ '\Theta': 'Θ',
    \ '\Iota': 'Ι',
    \ '\Kappa': 'Κ',
    \ '\Lambda': 'Λ',
    \ '\upMu': 'Μ',
    \ '\upNu': 'Ν',
    \ '\Xi': 'Ξ',
    \ '\upOmicron': 'Ο',
    \ '\Pi': 'Π',
    \ '\Rho': 'Ρ',
    \ '\Sigma': 'Σ',
    \ '\Tau': 'Τ',
    \ '\Upsilon': 'Υ',
    \ '\Phi': 'Φ',
    \ '\Chi': 'Χ',
    \ '\Psi': 'Ψ',
    \ '\Omega': 'Ω',
    \ '\alpha': 'α',
    \ '\beta': 'β',
    \ '\gamma': 'γ',
    \ '\delta': 'δ',
    \ '\upepsilon': 'ε',
    \ '\varepsilon': 'ε',
    \ '\zeta': 'ζ',
    \ '\eta': 'η',
    \ '\theta': 'θ',
    \ '\iota': 'ι',
    \ '\kappa': 'κ',
    \ '\lambda': 'λ',
    \ '\mu': 'μ',
    \ '\nu': 'ν',
    \ '\xi': 'ξ',
    \ '\upomicron': 'ο',
    \ '\pi': 'π',
    \ '\rho': 'ρ',
    \ '\varsigma': 'ς',
    \ '\sigma': 'σ',
    \ '\tau': 'τ',
    \ '\upsilon': 'υ',
    \ '\varphi': 'φ',
    \ '\chi': 'χ',
    \ '\psi': 'ψ',
    \ '\omega': 'ω',
    \ '\upvarbeta': 'ϐ',
    \ '\vartheta': 'ϑ',
    \ '\phi': 'ϕ',
    \ '\varpi': 'ϖ',
    \ '\upoldKoppa': 'Ϙ',
    \ '\upoldkoppa': 'ϙ',
    \ '\Stigma': 'Ϛ',
    \ '\upstigma': 'ϛ',
    \ '\Digamma': 'Ϝ',
    \ '\digamma': 'ϝ',
    \ '\Koppa': 'Ϟ',
    \ '\upkoppa': 'ϟ',
    \ '\Sampi': 'Ϡ',
    \ '\upsampi': 'ϡ',
    \ '\varkappa': 'ϰ',
    \ '\varrho': 'ϱ',
    \ '\varTheta': 'ϴ',
    \ '\epsilon': 'ϵ',
    \ '\backepsilon': '϶',
    \ '\^A': 'ᴬ',
    \ '\^B': 'ᴮ',
    \ '\^D': 'ᴰ',
    \ '\^E': 'ᴱ',
    \ '\^G': 'ᴳ',
    \ '\^H': 'ᴴ',
    \ '\^I': 'ᴵ',
    \ '\^J': 'ᴶ',
    \ '\^K': 'ᴷ',
    \ '\^L': 'ᴸ',
    \ '\^M': 'ᴹ',
    \ '\^N': 'ᴺ',
    \ '\^O': 'ᴼ',
    \ '\^P': 'ᴾ',
    \ '\^R': 'ᴿ',
    \ '\^T': 'ᵀ',
    \ '\^U': 'ᵁ',
    \ '\^W': 'ᵂ',
    \ '\^a': 'ᵃ',
    \ '\^alpha': 'ᵅ',
    \ '\^b': 'ᵇ',
    \ '\^d': 'ᵈ',
    \ '\^e': 'ᵉ',
    \ '\^epsilon': 'ᵋ',
    \ '\^g': 'ᵍ',
    \ '\^k': 'ᵏ',
    \ '\^m': 'ᵐ',
    \ '\^o': 'ᵒ',
    \ '\^p': 'ᵖ',
    \ '\^t': 'ᵗ',
    \ '\^u': 'ᵘ',
    \ '\^v': 'ᵛ',
    \ '\^beta': 'ᵝ',
    \ '\^gamma': 'ᵞ',
    \ '\^delta': 'ᵟ',
    \ '\^phi': 'ᵠ',
    \ '\^chi': 'ᵡ',
    \ '\_i': 'ᵢ',
    \ '\_r': 'ᵣ',
    \ '\_u': 'ᵤ',
    \ '\_v': 'ᵥ',
    \ '\_beta': 'ᵦ',
    \ '\_gamma': 'ᵧ',
    \ '\_rho': 'ᵨ',
    \ '\_phi': 'ᵩ',
    \ '\_chi': 'ᵪ',
    \ '\^c': 'ᶜ',
    \ '\^f': 'ᶠ',
    \ '\^iota': 'ᶥ',
    \ '\^ltphi': 'ᶲ',
    \ '\^z': 'ᶻ',
    \ '\^theta': 'ᶿ',
    \ '\enspace': ' ',
    \ '\quad': ' ',
    \ '\thickspace': ' ',
    \ '\thinspace': ' ',
    \ '\hspace': ' ',
    \ '\endash': '–',
    \ '\emdash': '—',
    \ '\Vert': '‖',
    \ '\lq': '‘',
    \ '\rq': '’',
    \ '\reapos': '‛',
    \ '\ldq': '“',
    \ '\rdq': '”',
    \ '\dagger': '†',
    \ '\ddagger': '‡',
    \ '\bullet': '•',
    \ '\dots': '…',
    \ '\ldots': '…',
    \ '\perthousand': '‰',
    \ '\pertenthousand': '‱',
    \ '\prime': '′',
    \ '\pprime': '″',
    \ '\ppprime': '‴',
    \ '\backprime': '‵',
    \ '\backpprime': '‶',
    \ '\backppprime': '‷',
    \ '\guilsinglleft': '‹',
    \ '\guilsinglright': '›',
    \ '\:bangbang:': '‼',
    \ '\tieconcat': '⁀',
    \ '\:interrobang:': '⁉',
    \ '\pppprime': '⁗',
    \ '\tricolon': '⁝',
    \ '\nolinebreak': '⁠',
    \ '\^0': '⁰',
    \ '\^i': 'ⁱ',
    \ '\^4': '⁴',
    \ '\^5': '⁵',
    \ '\^6': '⁶',
    \ '\^7': '⁷',
    \ '\^8': '⁸',
    \ '\^9': '⁹',
    \ '\^+': '⁺',
    \ '\^-': '⁻',
    \ '\^=': '⁼',
    \ '\^(': '⁽',
    \ '\^)': '⁾',
    \ '\^n': 'ⁿ',
    \ '\_0': '₀',
    \ '\_1': '₁',
    \ '\_2': '₂',
    \ '\_3': '₃',
    \ '\_4': '₄',
    \ '\_5': '₅',
    \ '\_6': '₆',
    \ '\_7': '₇',
    \ '\_8': '₈',
    \ '\_9': '₉',
    \ '\_+': '₊',
    \ '\_-': '₋',
    \ '\_=': '₌',
    \ '\_(': '₍',
    \ '\_)': '₎',
    \ '\_a': 'ₐ',
    \ '\_e': 'ₑ',
    \ '\_o': 'ₒ',
    \ '\_x': 'ₓ',
    \ '\_schwa': 'ₔ',
    \ '\_h': 'ₕ',
    \ '\_k': 'ₖ',
    \ '\_l': 'ₗ',
    \ '\_m': 'ₘ',
    \ '\_n': 'ₙ',
    \ '\_p': 'ₚ',
    \ '\_s': 'ₛ',
    \ '\_t': 'ₜ',
    \ '\pes': '₧',
    \ '\euro': '€',
    \ '\leftharpoonaccent': '⃐',
    \ '\rightharpoonaccent': '⃑',
    \ '\vertoverlay': '⃒',
    \ '\overleftarrow': '⃖',
    \ '\vec': '⃗',
    \ '\dddot': '⃛',
    \ '\ddddot': '⃜',
    \ '\enclosecircle': '⃝',
    \ '\enclosesquare': '⃞',
    \ '\enclosediamond': '⃟',
    \ '\overleftrightarrow': '⃡',
    \ '\enclosetriangle': '⃤',
    \ '\annuity': '⃧',
    \ '\threeunderdot': '⃨',
    \ '\widebridgeabove': '⃩',
    \ '\underrightharpoondown': '⃬',
    \ '\underleftharpoondown': '⃭',
    \ '\underleftarrow': '⃮',
    \ '\underrightarrow': '⃯',
    \ '\asteraccent': '⃰',
    \ '\bbC': 'ℂ',
    \ '\eulermascheroni': 'ℇ',
    \ '\scrg': 'ℊ',
    \ '\scrH': 'ℋ',
    \ '\frakH': 'ℌ',
    \ '\bbH': 'ℍ',
    \ '\ith': 'ℎ',
    \ '\planck': 'ℎ',
    \ '\hslash': 'ℏ',
    \ '\scrI': 'ℐ',
    \ '\Im': 'ℑ',
    \ '\frakI': 'ℑ',
    \ '\scrL': 'ℒ',
    \ '\ell': 'ℓ',
    \ '\bbN': 'ℕ',
    \ '\numero': '№',
    \ '\wp': '℘',
    \ '\bbP': 'ℙ',
    \ '\bbQ': 'ℚ',
    \ '\scrR': 'ℛ',
    \ '\Re': 'ℜ',
    \ '\frakR': 'ℜ',
    \ '\bbR': 'ℝ',
    \ '\xrat': '℞',
    \ '\trademark': '™',
    \ '\:tm:': '™',
    \ '\bbZ': 'ℤ',
    \ '\ohm': 'Ω',
    \ '\mho': '℧',
    \ '\frakZ': 'ℨ',
    \ '\turnediota': '℩',
    \ '\Angstrom': 'Å',
    \ '\scrB': 'ℬ',
    \ '\frakC': 'ℭ',
    \ '\scre': 'ℯ',
    \ '\euler': 'ℯ',
    \ '\scrE': 'ℰ',
    \ '\scrF': 'ℱ',
    \ '\Finv': 'Ⅎ',
    \ '\scrM': 'ℳ',
    \ '\scro': 'ℴ',
    \ '\aleph': 'ℵ',
    \ '\beth': 'ℶ',
    \ '\gimel': 'ℷ',
    \ '\daleth': 'ℸ',
    \ '\:information_source:': 'ℹ',
    \ '\bbpi': 'ℼ',
    \ '\bbgamma': 'ℽ',
    \ '\bbGamma': 'ℾ',
    \ '\bbPi': 'ℿ',
    \ '\bbsum': '⅀',
    \ '\Game': '⅁',
    \ '\sansLturned': '⅂',
    \ '\sansLmirrored': '⅃',
    \ '\Yup': '⅄',
    \ '\bbiD': 'ⅅ',
    \ '\bbid': 'ⅆ',
    \ '\bbie': 'ⅇ',
    \ '\bbii': 'ⅈ',
    \ '\bbij': 'ⅉ',
    \ '\PropertyLine': '⅊',
    \ '\upand': '⅋',
    \ '\1/7': '⅐',
    \ '\1/9': '⅑',
    \ '\1/10': '⅒',
    \ '\1/3': '⅓',
    \ '\2/3': '⅔',
    \ '\1/5': '⅕',
    \ '\2/5': '⅖',
    \ '\3/5': '⅗',
    \ '\4/5': '⅘',
    \ '\1/6': '⅙',
    \ '\5/6': '⅚',
    \ '\1/8': '⅛',
    \ '\3/8': '⅜',
    \ '\5/8': '⅝',
    \ '\7/8': '⅞',
    \ '\1/': '⅟',
    \ '\0/3': '↉',
    \ '\leftarrow': '←',
    \ '\uparrow': '↑',
    \ '\to': '→',
    \ '\rightarrow': '→',
    \ '\downarrow': '↓',
    \ '\leftrightarrow': '↔',
    \ '\:left_right_arrow:': '↔',
    \ '\updownarrow': '↕',
    \ '\:arrow_up_down:': '↕',
    \ '\nwarrow': '↖',
    \ '\:arrow_upper_left:': '↖',
    \ '\nearrow': '↗',
    \ '\:arrow_upper_right:': '↗',
    \ '\searrow': '↘',
    \ '\:arrow_lower_right:': '↘',
    \ '\swarrow': '↙',
    \ '\:arrow_lower_left:': '↙',
    \ '\nleftarrow': '↚',
    \ '\nrightarrow': '↛',
    \ '\leftwavearrow': '↜',
    \ '\rightwavearrow': '↝',
    \ '\twoheadleftarrow': '↞',
    \ '\twoheaduparrow': '↟',
    \ '\twoheadrightarrow': '↠',
    \ '\twoheaddownarrow': '↡',
    \ '\leftarrowtail': '↢',
    \ '\rightarrowtail': '↣',
    \ '\mapsfrom': '↤',
    \ '\mapsup': '↥',
    \ '\mapsto': '↦',
    \ '\mapsdown': '↧',
    \ '\updownarrowbar': '↨',
    \ '\hookleftarrow': '↩',
    \ '\:leftwards_arrow_with_hook:': '↩',
    \ '\hookrightarrow': '↪',
    \ '\:arrow_right_hook:': '↪',
    \ '\looparrowleft': '↫',
    \ '\looparrowright': '↬',
    \ '\leftrightsquigarrow': '↭',
    \ '\nleftrightarrow': '↮',
    \ '\downzigzagarrow': '↯',
    \ '\Lsh': '↰',
    \ '\Rsh': '↱',
    \ '\Ldsh': '↲',
    \ '\Rdsh': '↳',
    \ '\linefeed': '↴',
    \ '\carriagereturn': '↵',
    \ '\curvearrowleft': '↶',
    \ '\curvearrowright': '↷',
    \ '\barovernorthwestarrow': '↸',
    \ '\barleftarrowrightarrowbar': '↹',
    \ '\circlearrowleft': '↺',
    \ '\circlearrowright': '↻',
    \ '\leftharpoonup': '↼',
    \ '\leftharpoondown': '↽',
    \ '\upharpoonright': '↾',
    \ '\upharpoonleft': '↿',
    \ '\rightharpoonup': '⇀',
    \ '\rightharpoondown': '⇁',
    \ '\downharpoonright': '⇂',
    \ '\downharpoonleft': '⇃',
    \ '\rightleftarrows': '⇄',
    \ '\dblarrowupdown': '⇅',
    \ '\leftrightarrows': '⇆',
    \ '\leftleftarrows': '⇇',
    \ '\upuparrows': '⇈',
    \ '\rightrightarrows': '⇉',
    \ '\downdownarrows': '⇊',
    \ '\leftrightharpoons': '⇋',
    \ '\rightleftharpoons': '⇌',
    \ '\nLeftarrow': '⇍',
    \ '\nLeftrightarrow': '⇎',
    \ '\nRightarrow': '⇏',
    \ '\Leftarrow': '⇐',
    \ '\Uparrow': '⇑',
    \ '\Rightarrow': '⇒',
    \ '\Downarrow': '⇓',
    \ '\Leftrightarrow': '⇔',
    \ '\Updownarrow': '⇕',
    \ '\Nwarrow': '⇖',
    \ '\Nearrow': '⇗',
    \ '\Searrow': '⇘',
    \ '\Swarrow': '⇙',
    \ '\Lleftarrow': '⇚',
    \ '\Rrightarrow': '⇛',
    \ '\leftsquigarrow': '⇜',
    \ '\rightsquigarrow': '⇝',
    \ '\nHuparrow': '⇞',
    \ '\nHdownarrow': '⇟',
    \ '\leftdasharrow': '⇠',
    \ '\updasharrow': '⇡',
    \ '\rightdasharrow': '⇢',
    \ '\downdasharrow': '⇣',
    \ '\barleftarrow': '⇤',
    \ '\rightarrowbar': '⇥',
    \ '\leftwhitearrow': '⇦',
    \ '\upwhitearrow': '⇧',
    \ '\rightwhitearrow': '⇨',
    \ '\downwhitearrow': '⇩',
    \ '\whitearrowupfrombar': '⇪',
    \ '\circleonrightarrow': '⇴',
    \ '\DownArrowUpArrow': '⇵',
    \ '\rightthreearrows': '⇶',
    \ '\nvleftarrow': '⇷',
    \ '\nvrightarrow': '⇸',
    \ '\nvleftrightarrow': '⇹',
    \ '\nVleftarrow': '⇺',
    \ '\nVrightarrow': '⇻',
    \ '\nVleftrightarrow': '⇼',
    \ '\leftarrowtriangle': '⇽',
    \ '\rightarrowtriangle': '⇾',
    \ '\leftrightarrowtriangle': '⇿',
    \ '\forall': '∀',
    \ '\complement': '∁',
    \ '\partial': '∂',
    \ '\exists': '∃',
    \ '\nexists': '∄',
    \ '\varnothing': '∅',
    \ '\emptyset': '∅',
    \ '\increment': '∆',
    \ '\del': '∇',
    \ '\nabla': '∇',
    \ '\in': '∈',
    \ '\notin': '∉',
    \ '\smallin': '∊',
    \ '\ni': '∋',
    \ '\nni': '∌',
    \ '\smallni': '∍',
    \ '\QED': '∎',
    \ '\prod': '∏',
    \ '\coprod': '∐',
    \ '\sum': '∑',
    \ '\minus': '−',
    \ '\mp': '∓',
    \ '\dotplus': '∔',
    \ '\setminus': '∖',
    \ '\ast': '∗',
    \ '\circ': '∘',
    \ '\vysmblkcircle': '∙',
    \ '\surd': '√',
    \ '\sqrt': '√',
    \ '\cbrt': '∛',
    \ '\fourthroot': '∜',
    \ '\propto': '∝',
    \ '\infty': '∞',
    \ '\rightangle': '∟',
    \ '\angle': '∠',
    \ '\measuredangle': '∡',
    \ '\sphericalangle': '∢',
    \ '\mid': '∣',
    \ '\nmid': '∤',
    \ '\parallel': '∥',
    \ '\nparallel': '∦',
    \ '\wedge': '∧',
    \ '\vee': '∨',
    \ '\cap': '∩',
    \ '\cup': '∪',
    \ '\int': '∫',
    \ '\iint': '∬',
    \ '\iiint': '∭',
    \ '\oint': '∮',
    \ '\oiint': '∯',
    \ '\oiiint': '∰',
    \ '\clwintegral': '∱',
    \ '\varointclockwise': '∲',
    \ '\ointctrclockwise': '∳',
    \ '\therefore': '∴',
    \ '\because': '∵',
    \ '\Colon': '∷',
    \ '\dotminus': '∸',
    \ '\dotsminusdots': '∺',
    \ '\kernelcontraction': '∻',
    \ '\sim': '∼',
    \ '\backsim': '∽',
    \ '\lazysinv': '∾',
    \ '\sinewave': '∿',
    \ '\wr': '≀',
    \ '\nsim': '≁',
    \ '\eqsim': '≂',
    \ '\neqsim': '≂̸',
    \ '\simeq': '≃',
    \ '\nsime': '≄',
    \ '\cong': '≅',
    \ '\approxnotequal': '≆',
    \ '\ncong': '≇',
    \ '\approx': '≈',
    \ '\napprox': '≉',
    \ '\approxeq': '≊',
    \ '\tildetrpl': '≋',
    \ '\allequal': '≌',
    \ '\asymp': '≍',
    \ '\Bumpeq': '≎',
    \ '\nBumpeq': '≎̸',
    \ '\bumpeq': '≏',
    \ '\nbumpeq': '≏̸',
    \ '\doteq': '≐',
    \ '\Doteq': '≑',
    \ '\fallingdotseq': '≒',
    \ '\risingdotseq': '≓',
    \ '\coloneq': '≔',
    \ '\eqcolon': '≕',
    \ '\eqcirc': '≖',
    \ '\circeq': '≗',
    \ '\arceq': '≘',
    \ '\wedgeq': '≙',
    \ '\veeeq': '≚',
    \ '\starequal': '≛',
    \ '\triangleq': '≜',
    \ '\eqdef': '≝',
    \ '\measeq': '≞',
    \ '\questeq': '≟',
    \ '\ne': '≠',
    \ '\equiv': '≡',
    \ '\nequiv': '≢',
    \ '\Equiv': '≣',
    \ '\le': '≤',
    \ '\leq': '≤',
    \ '\ge': '≥',
    \ '\geq': '≥',
    \ '\leqq': '≦',
    \ '\geqq': '≧',
    \ '\lneqq': '≨',
    \ '\lvertneqq': '≨︀',
    \ '\gneqq': '≩',
    \ '\gvertneqq': '≩︀',
    \ '\ll': '≪',
    \ '\NotLessLess': '≪̸',
    \ '\gg': '≫',
    \ '\NotGreaterGreater': '≫̸',
    \ '\between': '≬',
    \ '\nasymp': '≭',
    \ '\nless': '≮',
    \ '\ngtr': '≯',
    \ '\nleq': '≰',
    \ '\ngeq': '≱',
    \ '\lesssim': '≲',
    \ '\gtrsim': '≳',
    \ '\nlesssim': '≴',
    \ '\ngtrsim': '≵',
    \ '\lessgtr': '≶',
    \ '\gtrless': '≷',
    \ '\notlessgreater': '≸',
    \ '\notgreaterless': '≹',
    \ '\prec': '≺',
    \ '\succ': '≻',
    \ '\preccurlyeq': '≼',
    \ '\succcurlyeq': '≽',
    \ '\precsim': '≾',
    \ '\nprecsim': '≾̸',
    \ '\succsim': '≿',
    \ '\nsuccsim': '≿̸',
    \ '\nprec': '⊀',
    \ '\nsucc': '⊁',
    \ '\subset': '⊂',
    \ '\supset': '⊃',
    \ '\nsubset': '⊄',
    \ '\nsupset': '⊅',
    \ '\subseteq': '⊆',
    \ '\supseteq': '⊇',
    \ '\nsubseteq': '⊈',
    \ '\nsupseteq': '⊉',
    \ '\subsetneq': '⊊',
    \ '\varsubsetneqq': '⊊︀',
    \ '\supsetneq': '⊋',
    \ '\varsupsetneq': '⊋︀',
    \ '\cupdot': '⊍',
    \ '\uplus': '⊎',
    \ '\sqsubset': '⊏',
    \ '\NotSquareSubset': '⊏̸',
    \ '\sqsupset': '⊐',
    \ '\NotSquareSuperset': '⊐̸',
    \ '\sqsubseteq': '⊑',
    \ '\sqsupseteq': '⊒',
    \ '\sqcap': '⊓',
    \ '\sqcup': '⊔',
    \ '\oplus': '⊕',
    \ '\ominus': '⊖',
    \ '\otimes': '⊗',
    \ '\oslash': '⊘',
    \ '\odot': '⊙',
    \ '\circledcirc': '⊚',
    \ '\circledast': '⊛',
    \ '\circledequal': '⊜',
    \ '\circleddash': '⊝',
    \ '\boxplus': '⊞',
    \ '\boxminus': '⊟',
    \ '\boxtimes': '⊠',
    \ '\boxdot': '⊡',
    \ '\vdash': '⊢',
    \ '\dashv': '⊣',
    \ '\top': '⊤',
    \ '\bot': '⊥',
    \ '\models': '⊧',
    \ '\vDash': '⊨',
    \ '\Vdash': '⊩',
    \ '\Vvdash': '⊪',
    \ '\VDash': '⊫',
    \ '\nvdash': '⊬',
    \ '\nvDash': '⊭',
    \ '\nVdash': '⊮',
    \ '\nVDash': '⊯',
    \ '\prurel': '⊰',
    \ '\scurel': '⊱',
    \ '\vartriangleleft': '⊲',
    \ '\vartriangleright': '⊳',
    \ '\trianglelefteq': '⊴',
    \ '\trianglerighteq': '⊵',
    \ '\original': '⊶',
    \ '\image': '⊷',
    \ '\multimap': '⊸',
    \ '\hermitconjmatrix': '⊹',
    \ '\intercal': '⊺',
    \ '\veebar': '⊻',
    \ '\xor': '⊻',
    \ '\barwedge': '⊼',
    \ '\nand': '⊼',
    \ '\barvee': '⊽',
    \ '\nor': '⊽',
    \ '\rightanglearc': '⊾',
    \ '\varlrtriangle': '⊿',
    \ '\bigwedge': '⋀',
    \ '\bigvee': '⋁',
    \ '\bigcap': '⋂',
    \ '\bigcup': '⋃',
    \ '\diamond': '⋄',
    \ '\cdot': '⋅',
    \ '\star': '⋆',
    \ '\divideontimes': '⋇',
    \ '\bowtie': '⋈',
    \ '\ltimes': '⋉',
    \ '\rtimes': '⋊',
    \ '\leftthreetimes': '⋋',
    \ '\rightthreetimes': '⋌',
    \ '\backsimeq': '⋍',
    \ '\curlyvee': '⋎',
    \ '\curlywedge': '⋏',
    \ '\Subset': '⋐',
    \ '\Supset': '⋑',
    \ '\Cap': '⋒',
    \ '\Cup': '⋓',
    \ '\pitchfork': '⋔',
    \ '\equalparallel': '⋕',
    \ '\lessdot': '⋖',
    \ '\gtrdot': '⋗',
    \ '\verymuchless': '⋘',
    \ '\ggg': '⋙',
    \ '\lesseqgtr': '⋚',
    \ '\gtreqless': '⋛',
    \ '\eqless': '⋜',
    \ '\eqgtr': '⋝',
    \ '\curlyeqprec': '⋞',
    \ '\curlyeqsucc': '⋟',
    \ '\npreccurlyeq': '⋠',
    \ '\nsucccurlyeq': '⋡',
    \ '\nsqsubseteq': '⋢',
    \ '\nsqsupseteq': '⋣',
    \ '\sqsubsetneq': '⋤',
    \ '\sqspne': '⋥',
    \ '\lnsim': '⋦',
    \ '\gnsim': '⋧',
    \ '\precnsim': '⋨',
    \ '\succnsim': '⋩',
    \ '\ntriangleleft': '⋪',
    \ '\ntriangleright': '⋫',
    \ '\ntrianglelefteq': '⋬',
    \ '\ntrianglerighteq': '⋭',
    \ '\vdots': '⋮',
    \ '\cdots': '⋯',
    \ '\adots': '⋰',
    \ '\ddots': '⋱',
    \ '\disin': '⋲',
    \ '\varisins': '⋳',
    \ '\isins': '⋴',
    \ '\isindot': '⋵',
    \ '\varisinobar': '⋶',
    \ '\isinobar': '⋷',
    \ '\isinvb': '⋸',
    \ '\isinE': '⋹',
    \ '\nisd': '⋺',
    \ '\varnis': '⋻',
    \ '\nis': '⋼',
    \ '\varniobar': '⋽',
    \ '\niobar': '⋾',
    \ '\bagmember': '⋿',
    \ '\diameter': '⌀',
    \ '\house': '⌂',
    \ '\varbarwedge': '⌅',
    \ '\vardoublebarwedge': '⌆',
    \ '\lceil': '⌈',
    \ '\rceil': '⌉',
    \ '\lfloor': '⌊',
    \ '\rfloor': '⌋',
    \ '\invnot': '⌐',
    \ '\sqlozenge': '⌑',
    \ '\profline': '⌒',
    \ '\profsurf': '⌓',
    \ '\recorder': '⌕',
    \ '\viewdata': '⌗',
    \ '\turnednot': '⌙',
    \ '\:watch:': '⌚',
    \ '\:hourglass:': '⌛',
    \ '\ulcorner': '⌜',
    \ '\urcorner': '⌝',
    \ '\llcorner': '⌞',
    \ '\lrcorner': '⌟',
    \ '\frown': '⌢',
    \ '\smile': '⌣',
    \ '\varhexagonlrbonds': '⌬',
    \ '\conictaper': '⌲',
    \ '\topbot': '⌶',
    \ '\obar': '⌽',
    \ '\notslash': '⌿',
    \ '\notbackslash': '⍀',
    \ '\boxupcaret': '⍓',
    \ '\boxquestion': '⍰',
    \ '\hexagon': '⎔',
    \ '\dlcorn': '⎣',
    \ '\lmoustache': '⎰',
    \ '\rmoustache': '⎱',
    \ '\overbracket': '⎴',
    \ '\underbracket': '⎵',
    \ '\bbrktbrk': '⎶',
    \ '\sqrtbottom': '⎷',
    \ '\lvboxline': '⎸',
    \ '\rvboxline': '⎹',
    \ '\varcarriagereturn': '⏎',
    \ '\overbrace': '⏞',
    \ '\underbrace': '⏟',
    \ '\trapezium': '⏢',
    \ '\benzenr': '⏣',
    \ '\strns': '⏤',
    \ '\fltns': '⏥',
    \ '\accurrent': '⏦',
    \ '\elinters': '⏧',
    \ '\:fast_forward:': '⏩',
    \ '\:rewind:': '⏪',
    \ '\:arrow_double_up:': '⏫',
    \ '\:arrow_double_down:': '⏬',
    \ '\:alarm_clock:': '⏰',
    \ '\:hourglass_flowing_sand:': '⏳',
    \ '\blanksymbol': '␢',
    \ '\visiblespace': '␣',
    \ '\:m:': 'Ⓜ',
    \ '\circledS': 'Ⓢ',
    \ '\dshfnc': '┆',
    \ '\sqfnw': '┙',
    \ '\diagup': '╱',
    \ '\diagdown': '╲',
    \ '\blockuphalf': '▀',
    \ '\blocklowhalf': '▄',
    \ '\blockfull': '█',
    \ '\blocklefthalf': '▌',
    \ '\blockrighthalf': '▐',
    \ '\blockqtrshaded': '░',
    \ '\blockhalfshaded': '▒',
    \ '\blockthreeqtrshaded': '▓',
    \ '\blacksquare': '■',
    \ '\square': '□',
    \ '\squoval': '▢',
    \ '\blackinwhitesquare': '▣',
    \ '\squarehfill': '▤',
    \ '\squarevfill': '▥',
    \ '\squarehvfill': '▦',
    \ '\squarenwsefill': '▧',
    \ '\squareneswfill': '▨',
    \ '\squarecrossfill': '▩',
    \ '\smblksquare': '▪',
    \ '\:black_small_square:': '▪',
    \ '\smwhtsquare': '▫',
    \ '\:white_small_square:': '▫',
    \ '\hrectangleblack': '▬',
    \ '\hrectangle': '▭',
    \ '\vrectangleblack': '▮',
    \ '\vrecto': '▯',
    \ '\parallelogramblack': '▰',
    \ '\parallelogram': '▱',
    \ '\bigblacktriangleup': '▲',
    \ '\bigtriangleup': '△',
    \ '\blacktriangle': '▴',
    \ '\vartriangle': '▵',
    \ '\blacktriangleright': '▶',
    \ '\:arrow_forward:': '▶',
    \ '\triangleright': '▷',
    \ '\smallblacktriangleright': '▸',
    \ '\smalltriangleright': '▹',
    \ '\blackpointerright': '►',
    \ '\whitepointerright': '▻',
    \ '\bigblacktriangledown': '▼',
    \ '\bigtriangledown': '▽',
    \ '\blacktriangledown': '▾',
    \ '\triangledown': '▿',
    \ '\blacktriangleleft': '◀',
    \ '\:arrow_backward:': '◀',
    \ '\triangleleft': '◁',
    \ '\smallblacktriangleleft': '◂',
    \ '\smalltriangleleft': '◃',
    \ '\blackpointerleft': '◄',
    \ '\whitepointerleft': '◅',
    \ '\mdlgblkdiamond': '◆',
    \ '\mdlgwhtdiamond': '◇',
    \ '\blackinwhitediamond': '◈',
    \ '\fisheye': '◉',
    \ '\lozenge': '◊',
    \ '\bigcirc': '○',
    \ '\dottedcircle': '◌',
    \ '\circlevertfill': '◍',
    \ '\bullseye': '◎',
    \ '\mdlgblkcircle': '●',
    \ '\cirfl': '◐',
    \ '\cirfr': '◑',
    \ '\cirfb': '◒',
    \ '\circletophalfblack': '◓',
    \ '\circleurquadblack': '◔',
    \ '\blackcircleulquadwhite': '◕',
    \ '\blacklefthalfcircle': '◖',
    \ '\blackrighthalfcircle': '◗',
    \ '\rvbull': '◘',
    \ '\inversewhitecircle': '◙',
    \ '\invwhiteupperhalfcircle': '◚',
    \ '\invwhitelowerhalfcircle': '◛',
    \ '\ularc': '◜',
    \ '\urarc': '◝',
    \ '\lrarc': '◞',
    \ '\llarc': '◟',
    \ '\topsemicircle': '◠',
    \ '\botsemicircle': '◡',
    \ '\lrblacktriangle': '◢',
    \ '\llblacktriangle': '◣',
    \ '\ulblacktriangle': '◤',
    \ '\urblacktriangle': '◥',
    \ '\smwhtcircle': '◦',
    \ '\sqfl': '◧',
    \ '\sqfr': '◨',
    \ '\squareulblack': '◩',
    \ '\sqfse': '◪',
    \ '\boxbar': '◫',
    \ '\trianglecdot': '◬',
    \ '\triangleleftblack': '◭',
    \ '\trianglerightblack': '◮',
    \ '\lgwhtcircle': '◯',
    \ '\squareulquad': '◰',
    \ '\squarellquad': '◱',
    \ '\squarelrquad': '◲',
    \ '\squareurquad': '◳',
    \ '\circleulquad': '◴',
    \ '\circlellquad': '◵',
    \ '\circlelrquad': '◶',
    \ '\circleurquad': '◷',
    \ '\ultriangle': '◸',
    \ '\urtriangle': '◹',
    \ '\lltriangle': '◺',
    \ '\mdwhtsquare': '◻',
    \ '\:white_medium_square:': '◻',
    \ '\mdblksquare': '◼',
    \ '\:black_medium_square:': '◼',
    \ '\mdsmwhtsquare': '◽',
    \ '\:white_medium_small_square:': '◽',
    \ '\mdsmblksquare': '◾',
    \ '\:black_medium_small_square:': '◾',
    \ '\lrtriangle': '◿',
    \ '\:sunny:': '☀',
    \ '\:cloud:': '☁',
    \ '\bigstar': '★',
    \ '\bigwhitestar': '☆',
    \ '\astrosun': '☉',
    \ '\:phone:': '☎',
    \ '\:ballot_box_with_check:': '☑',
    \ '\:umbrella_with_rain_drops:': '☔',
    \ '\:umbrella:': '☔',
    \ '\:coffee:': '☕',
    \ '\:point_up:': '☝',
    \ '\danger': '☡',
    \ '\:relaxed:': '☺',
    \ '\blacksmiley': '☻',
    \ '\sun': '☼',
    \ '\rightmoon': '☽',
    \ '\leftmoon': '☾',
    \ '\mercury': '☿',
    \ '\venus': '♀',
    \ '\female': '♀',
    \ '\male': '♂',
    \ '\mars': '♂',
    \ '\jupiter': '♃',
    \ '\saturn': '♄',
    \ '\uranus': '♅',
    \ '\neptune': '♆',
    \ '\pluto': '♇',
    \ '\aries': '♈',
    \ '\:aries:': '♈',
    \ '\taurus': '♉',
    \ '\:taurus:': '♉',
    \ '\gemini': '♊',
    \ '\:gemini:': '♊',
    \ '\cancer': '♋',
    \ '\:cancer:': '♋',
    \ '\leo': '♌',
    \ '\:leo:': '♌',
    \ '\virgo': '♍',
    \ '\:virgo:': '♍',
    \ '\libra': '♎',
    \ '\:libra:': '♎',
    \ '\scorpio': '♏',
    \ '\:scorpius:': '♏',
    \ '\sagittarius': '♐',
    \ '\:sagittarius:': '♐',
    \ '\capricornus': '♑',
    \ '\:capricorn:': '♑',
    \ '\aquarius': '♒',
    \ '\:aquarius:': '♒',
    \ '\pisces': '♓',
    \ '\:pisces:': '♓',
    \ '\spadesuit': '♠',
    \ '\:spades:': '♠',
    \ '\heartsuit': '♡',
    \ '\diamondsuit': '♢',
    \ '\clubsuit': '♣',
    \ '\:clubs:': '♣',
    \ '\varspadesuit': '♤',
    \ '\varheartsuit': '♥',
    \ '\:hearts:': '♥',
    \ '\vardiamondsuit': '♦',
    \ '\:diamonds:': '♦',
    \ '\varclubsuit': '♧',
    \ '\:hotsprings:': '♨',
    \ '\quarternote': '♩',
    \ '\eighthnote': '♪',
    \ '\twonotes': '♫',
    \ '\flat': '♭',
    \ '\natural': '♮',
    \ '\sharp': '♯',
    \ '\:recycle:': '♻',
    \ '\acidfree': '♾',
    \ '\:wheelchair:': '♿',
    \ '\dicei': '⚀',
    \ '\diceii': '⚁',
    \ '\diceiii': '⚂',
    \ '\diceiv': '⚃',
    \ '\dicev': '⚄',
    \ '\dicevi': '⚅',
    \ '\circledrightdot': '⚆',
    \ '\circledtwodots': '⚇',
    \ '\blackcircledrightdot': '⚈',
    \ '\blackcircledtwodots': '⚉',
    \ '\:anchor:': '⚓',
    \ '\:warning:': '⚠',
    \ '\:zap:': '⚡',
    \ '\hermaphrodite': '⚥',
    \ '\mdwhtcircle': '⚪',
    \ '\:white_circle:': '⚪',
    \ '\mdblkcircle': '⚫',
    \ '\:black_circle:': '⚫',
    \ '\mdsmwhtcircle': '⚬',
    \ '\neuter': '⚲',
    \ '\:soccer:': '⚽',
    \ '\:baseball:': '⚾',
    \ '\:snowman:': '⛄',
    \ '\:snowman_without_snow:': '⛄',
    \ '\:partly_sunny:': '⛅',
    \ '\:ophiuchus:': '⛎',
    \ '\:no_entry:': '⛔',
    \ '\:church:': '⛪',
    \ '\:fountain:': '⛲',
    \ '\:golf:': '⛳',
    \ '\:boat:': '⛵',
    \ '\:tent:': '⛺',
    \ '\:fuelpump:': '⛽',
    \ '\:scissors:': '✂',
    \ '\:white_check_mark:': '✅',
    \ '\:airplane:': '✈',
    \ '\:email:': '✉',
    \ '\:fist:': '✊',
    \ '\:hand:': '✋',
    \ '\:v:': '✌',
    \ '\:pencil2:': '✏',
    \ '\:black_nib:': '✒',
    \ '\checkmark': '✓',
    \ '\:heavy_check_mark:': '✔',
    \ '\:heavy_multiplication_x:': '✖',
    \ '\maltese': '✠',
    \ '\:sparkles:': '✨',
    \ '\circledstar': '✪',
    \ '\:eight_spoked_asterisk:': '✳',
    \ '\:eight_pointed_black_star:': '✴',
    \ '\varstar': '✶',
    \ '\dingasterisk': '✽',
    \ '\:snowflake:': '❄',
    \ '\:sparkle:': '❇',
    \ '\:x:': '❌',
    \ '\:negative_squared_cross_mark:': '❎',
    \ '\:question:': '❓',
    \ '\:grey_question:': '❔',
    \ '\:grey_exclamation:': '❕',
    \ '\:exclamation:': '❗',
    \ '\:heart:': '❤',
    \ '\:heavy_plus_sign:': '➕',
    \ '\:heavy_minus_sign:': '➖',
    \ '\:heavy_division_sign:': '➗',
    \ '\draftingarrow': '➛',
    \ '\:arrow_right:': '➡',
    \ '\:curly_loop:': '➰',
    \ '\:loop:': '➿',
    \ '\threedangle': '⟀',
    \ '\whiteinwhitetriangle': '⟁',
    \ '\perp': '⟂',
    \ '\bsolhsub': '⟈',
    \ '\suphsol': '⟉',
    \ '\wedgedot': '⟑',
    \ '\upin': '⟒',
    \ '\leftouterjoin': '⟕',
    \ '\rightouterjoin': '⟖',
    \ '\fullouterjoin': '⟗',
    \ '\bigbot': '⟘',
    \ '\bigtop': '⟙',
    \ '\llbracket': '⟦',
    \ '\openbracketleft': '⟦',
    \ '\openbracketright': '⟧',
    \ '\rrbracket': '⟧',
    \ '\langle': '⟨',
    \ '\rangle': '⟩',
    \ '\UUparrow': '⟰',
    \ '\DDownarrow': '⟱',
    \ '\longleftarrow': '⟵',
    \ '\longrightarrow': '⟶',
    \ '\longleftrightarrow': '⟷',
    \ '\impliedby': '⟸',
    \ '\Longleftarrow': '⟸',
    \ '\implies': '⟹',
    \ '\Longrightarrow': '⟹',
    \ '\Longleftrightarrow': '⟺',
    \ '\iff': '⟺',
    \ '\longmapsfrom': '⟻',
    \ '\longmapsto': '⟼',
    \ '\Longmapsfrom': '⟽',
    \ '\Longmapsto': '⟾',
    \ '\longrightsquigarrow': '⟿',
    \ '\nvtwoheadrightarrow': '⤀',
    \ '\nVtwoheadrightarrow': '⤁',
    \ '\nvLeftarrow': '⤂',
    \ '\nvRightarrow': '⤃',
    \ '\nvLeftrightarrow': '⤄',
    \ '\twoheadmapsto': '⤅',
    \ '\Mapsfrom': '⤆',
    \ '\Mapsto': '⤇',
    \ '\downarrowbarred': '⤈',
    \ '\uparrowbarred': '⤉',
    \ '\Uuparrow': '⤊',
    \ '\Ddownarrow': '⤋',
    \ '\leftbkarrow': '⤌',
    \ '\bkarow': '⤍',
    \ '\leftdbkarrow': '⤎',
    \ '\dbkarow': '⤏',
    \ '\drbkarrow': '⤐',
    \ '\rightdotarrow': '⤑',
    \ '\UpArrowBar': '⤒',
    \ '\DownArrowBar': '⤓',
    \ '\nvrightarrowtail': '⤔',
    \ '\nVrightarrowtail': '⤕',
    \ '\twoheadrightarrowtail': '⤖',
    \ '\nvtwoheadrightarrowtail': '⤗',
    \ '\nVtwoheadrightarrowtail': '⤘',
    \ '\diamondleftarrow': '⤝',
    \ '\rightarrowdiamond': '⤞',
    \ '\diamondleftarrowbar': '⤟',
    \ '\barrightarrowdiamond': '⤠',
    \ '\hksearow': '⤥',
    \ '\hkswarow': '⤦',
    \ '\tona': '⤧',
    \ '\toea': '⤨',
    \ '\tosa': '⤩',
    \ '\towa': '⤪',
    \ '\rdiagovfdiag': '⤫',
    \ '\fdiagovrdiag': '⤬',
    \ '\seovnearrow': '⤭',
    \ '\neovsearrow': '⤮',
    \ '\fdiagovnearrow': '⤯',
    \ '\rdiagovsearrow': '⤰',
    \ '\neovnwarrow': '⤱',
    \ '\nwovnearrow': '⤲',
    \ '\:arrow_heading_up:': '⤴',
    \ '\:arrow_heading_down:': '⤵',
    \ '\Rlarr': '⥂',
    \ '\rLarr': '⥄',
    \ '\rightarrowplus': '⥅',
    \ '\leftarrowplus': '⥆',
    \ '\rarrx': '⥇',
    \ '\leftrightarrowcircle': '⥈',
    \ '\twoheaduparrowcircle': '⥉',
    \ '\leftrightharpoonupdown': '⥊',
    \ '\leftrightharpoondownup': '⥋',
    \ '\updownharpoonrightleft': '⥌',
    \ '\updownharpoonleftright': '⥍',
    \ '\LeftRightVector': '⥎',
    \ '\RightUpDownVector': '⥏',
    \ '\DownLeftRightVector': '⥐',
    \ '\LeftUpDownVector': '⥑',
    \ '\LeftVectorBar': '⥒',
    \ '\RightVectorBar': '⥓',
    \ '\RightUpVectorBar': '⥔',
    \ '\RightDownVectorBar': '⥕',
    \ '\DownLeftVectorBar': '⥖',
    \ '\DownRightVectorBar': '⥗',
    \ '\LeftUpVectorBar': '⥘',
    \ '\LeftDownVectorBar': '⥙',
    \ '\LeftTeeVector': '⥚',
    \ '\RightTeeVector': '⥛',
    \ '\RightUpTeeVector': '⥜',
    \ '\RightDownTeeVector': '⥝',
    \ '\DownLeftTeeVector': '⥞',
    \ '\DownRightTeeVector': '⥟',
    \ '\LeftUpTeeVector': '⥠',
    \ '\LeftDownTeeVector': '⥡',
    \ '\leftharpoonsupdown': '⥢',
    \ '\upharpoonsleftright': '⥣',
    \ '\rightharpoonsupdown': '⥤',
    \ '\downharpoonsleftright': '⥥',
    \ '\leftrightharpoonsup': '⥦',
    \ '\leftrightharpoonsdown': '⥧',
    \ '\rightleftharpoonsup': '⥨',
    \ '\rightleftharpoonsdown': '⥩',
    \ '\leftharpoonupdash': '⥪',
    \ '\dashleftharpoondown': '⥫',
    \ '\rightharpoonupdash': '⥬',
    \ '\dashrightharpoondown': '⥭',
    \ '\UpEquilibrium': '⥮',
    \ '\ReverseUpEquilibrium': '⥯',
    \ '\RoundImplies': '⥰',
    \ '\Vvert': '⦀',
    \ '\Elroang': '⦆',
    \ '\ddfnc': '⦙',
    \ '\measuredangleleft': '⦛',
    \ '\Angle': '⦜',
    \ '\rightanglemdot': '⦝',
    \ '\angles': '⦞',
    \ '\angdnr': '⦟',
    \ '\lpargt': '⦠',
    \ '\sphericalangleup': '⦡',
    \ '\turnangle': '⦢',
    \ '\revangle': '⦣',
    \ '\angleubar': '⦤',
    \ '\revangleubar': '⦥',
    \ '\wideangledown': '⦦',
    \ '\wideangleup': '⦧',
    \ '\measanglerutone': '⦨',
    \ '\measanglelutonw': '⦩',
    \ '\measanglerdtose': '⦪',
    \ '\measangleldtosw': '⦫',
    \ '\measangleurtone': '⦬',
    \ '\measangleultonw': '⦭',
    \ '\measangledrtose': '⦮',
    \ '\measangledltosw': '⦯',
    \ '\revemptyset': '⦰',
    \ '\emptysetobar': '⦱',
    \ '\emptysetocirc': '⦲',
    \ '\emptysetoarr': '⦳',
    \ '\emptysetoarrl': '⦴',
    \ '\circledparallel': '⦷',
    \ '\obslash': '⦸',
    \ '\odotslashdot': '⦼',
    \ '\circledwhitebullet': '⦾',
    \ '\circledbullet': '⦿',
    \ '\olessthan': '⧀',
    \ '\ogreaterthan': '⧁',
    \ '\boxdiag': '⧄',
    \ '\boxbslash': '⧅',
    \ '\boxast': '⧆',
    \ '\boxcircle': '⧇',
    \ '\Lap': '⧊',
    \ '\defas': '⧋',
    \ '\LeftTriangleBar': '⧏',
    \ '\NotLeftTriangleBar': '⧏̸',
    \ '\RightTriangleBar': '⧐',
    \ '\NotRightTriangleBar': '⧐̸',
    \ '\dualmap': '⧟',
    \ '\lrtriangleeq': '⧡',
    \ '\shuffle': '⧢',
    \ '\eparsl': '⧣',
    \ '\smeparsl': '⧤',
    \ '\eqvparsl': '⧥',
    \ '\blacklozenge': '⧫',
    \ '\RuleDelayed': '⧴',
    \ '\dsol': '⧶',
    \ '\rsolbar': '⧷',
    \ '\doubleplus': '⧺',
    \ '\tripleplus': '⧻',
    \ '\bigodot': '⨀',
    \ '\bigoplus': '⨁',
    \ '\bigotimes': '⨂',
    \ '\bigcupdot': '⨃',
    \ '\biguplus': '⨄',
    \ '\bigsqcap': '⨅',
    \ '\bigsqcup': '⨆',
    \ '\conjquant': '⨇',
    \ '\disjquant': '⨈',
    \ '\bigtimes': '⨉',
    \ '\modtwosum': '⨊',
    \ '\sumint': '⨋',
    \ '\iiiint': '⨌',
    \ '\intbar': '⨍',
    \ '\intBar': '⨎',
    \ '\clockoint': '⨏',
    \ '\cirfnint': '⨐',
    \ '\awint': '⨑',
    \ '\rppolint': '⨒',
    \ '\scpolint': '⨓',
    \ '\npolint': '⨔',
    \ '\pointint': '⨕',
    \ '\sqrint': '⨖',
    \ '\intx': '⨘',
    \ '\intcap': '⨙',
    \ '\intcup': '⨚',
    \ '\upint': '⨛',
    \ '\lowint': '⨜',
    \ '\join': '⨝',
    \ '\bbsemi': '⨟',
    \ '\ringplus': '⨢',
    \ '\plushat': '⨣',
    \ '\simplus': '⨤',
    \ '\plusdot': '⨥',
    \ '\plussim': '⨦',
    \ '\plussubtwo': '⨧',
    \ '\plustrif': '⨨',
    \ '\commaminus': '⨩',
    \ '\minusdot': '⨪',
    \ '\minusfdots': '⨫',
    \ '\minusrdots': '⨬',
    \ '\opluslhrim': '⨭',
    \ '\oplusrhrim': '⨮',
    \ '\Times': '⨯',
    \ '\dottimes': '⨰',
    \ '\timesbar': '⨱',
    \ '\btimes': '⨲',
    \ '\smashtimes': '⨳',
    \ '\otimeslhrim': '⨴',
    \ '\otimesrhrim': '⨵',
    \ '\otimeshat': '⨶',
    \ '\Otimes': '⨷',
    \ '\odiv': '⨸',
    \ '\triangleplus': '⨹',
    \ '\triangleminus': '⨺',
    \ '\triangletimes': '⨻',
    \ '\intprod': '⨼',
    \ '\intprodr': '⨽',
    \ '\amalg': '⨿',
    \ '\capdot': '⩀',
    \ '\uminus': '⩁',
    \ '\barcup': '⩂',
    \ '\barcap': '⩃',
    \ '\capwedge': '⩄',
    \ '\cupvee': '⩅',
    \ '\twocups': '⩊',
    \ '\twocaps': '⩋',
    \ '\closedvarcup': '⩌',
    \ '\closedvarcap': '⩍',
    \ '\Sqcap': '⩎',
    \ '\Sqcup': '⩏',
    \ '\closedvarcupsmashprod': '⩐',
    \ '\wedgeodot': '⩑',
    \ '\veeodot': '⩒',
    \ '\And': '⩓',
    \ '\Or': '⩔',
    \ '\wedgeonwedge': '⩕',
    \ '\ElOr': '⩖',
    \ '\bigslopedvee': '⩗',
    \ '\bigslopedwedge': '⩘',
    \ '\wedgemidvert': '⩚',
    \ '\veemidvert': '⩛',
    \ '\midbarwedge': '⩜',
    \ '\midbarvee': '⩝',
    \ '\perspcorrespond': '⩞',
    \ '\minhat': '⩟',
    \ '\wedgedoublebar': '⩠',
    \ '\varveebar': '⩡',
    \ '\doublebarvee': '⩢',
    \ '\veedoublebar': '⩣',
    \ '\eqdot': '⩦',
    \ '\dotequiv': '⩧',
    \ '\dotsim': '⩪',
    \ '\simrdots': '⩫',
    \ '\simminussim': '⩬',
    \ '\congdot': '⩭',
    \ '\asteq': '⩮',
    \ '\hatapprox': '⩯',
    \ '\approxeqq': '⩰',
    \ '\eqqplus': '⩱',
    \ '\pluseqq': '⩲',
    \ '\eqqsim': '⩳',
    \ '\Coloneq': '⩴',
    \ '\Equal': '⩵',
    \ '\eqeqeq': '⩶',
    \ '\ddotseq': '⩷',
    \ '\equivDD': '⩸',
    \ '\ltcir': '⩹',
    \ '\gtcir': '⩺',
    \ '\ltquest': '⩻',
    \ '\gtquest': '⩼',
    \ '\leqslant': '⩽',
    \ '\nleqslant': '⩽̸',
    \ '\geqslant': '⩾',
    \ '\ngeqslant': '⩾̸',
    \ '\lesdot': '⩿',
    \ '\gesdot': '⪀',
    \ '\lesdoto': '⪁',
    \ '\gesdoto': '⪂',
    \ '\lesdotor': '⪃',
    \ '\gesdotol': '⪄',
    \ '\lessapprox': '⪅',
    \ '\gtrapprox': '⪆',
    \ '\lneq': '⪇',
    \ '\gneq': '⪈',
    \ '\lnapprox': '⪉',
    \ '\gnapprox': '⪊',
    \ '\lesseqqgtr': '⪋',
    \ '\gtreqqless': '⪌',
    \ '\lsime': '⪍',
    \ '\gsime': '⪎',
    \ '\lsimg': '⪏',
    \ '\gsiml': '⪐',
    \ '\lgE': '⪑',
    \ '\glE': '⪒',
    \ '\lesges': '⪓',
    \ '\gesles': '⪔',
    \ '\eqslantless': '⪕',
    \ '\eqslantgtr': '⪖',
    \ '\elsdot': '⪗',
    \ '\egsdot': '⪘',
    \ '\eqqless': '⪙',
    \ '\eqqgtr': '⪚',
    \ '\eqqslantless': '⪛',
    \ '\eqqslantgtr': '⪜',
    \ '\simless': '⪝',
    \ '\simgtr': '⪞',
    \ '\simlE': '⪟',
    \ '\simgE': '⪠',
    \ '\NestedLessLess': '⪡',
    \ '\NotNestedLessLess': '⪡̸',
    \ '\NestedGreaterGreater': '⪢',
    \ '\NotNestedGreaterGreater': '⪢̸',
    \ '\partialmeetcontraction': '⪣',
    \ '\glj': '⪤',
    \ '\gla': '⪥',
    \ '\ltcc': '⪦',
    \ '\gtcc': '⪧',
    \ '\lescc': '⪨',
    \ '\gescc': '⪩',
    \ '\smt': '⪪',
    \ '\lat': '⪫',
    \ '\smte': '⪬',
    \ '\late': '⪭',
    \ '\bumpeqq': '⪮',
    \ '\preceq': '⪯',
    \ '\npreceq': '⪯̸',
    \ '\succeq': '⪰',
    \ '\nsucceq': '⪰̸',
    \ '\precneq': '⪱',
    \ '\succneq': '⪲',
    \ '\preceqq': '⪳',
    \ '\succeqq': '⪴',
    \ '\precneqq': '⪵',
    \ '\succneqq': '⪶',
    \ '\precapprox': '⪷',
    \ '\succapprox': '⪸',
    \ '\precnapprox': '⪹',
    \ '\succnapprox': '⪺',
    \ '\Prec': '⪻',
    \ '\Succ': '⪼',
    \ '\subsetdot': '⪽',
    \ '\supsetdot': '⪾',
    \ '\subsetplus': '⪿',
    \ '\supsetplus': '⫀',
    \ '\submult': '⫁',
    \ '\supmult': '⫂',
    \ '\subedot': '⫃',
    \ '\supedot': '⫄',
    \ '\subseteqq': '⫅',
    \ '\nsubseteqq': '⫅̸',
    \ '\supseteqq': '⫆',
    \ '\nsupseteqq': '⫆̸',
    \ '\subsim': '⫇',
    \ '\supsim': '⫈',
    \ '\subsetapprox': '⫉',
    \ '\supsetapprox': '⫊',
    \ '\subsetneqq': '⫋',
    \ '\supsetneqq': '⫌',
    \ '\lsqhook': '⫍',
    \ '\rsqhook': '⫎',
    \ '\csub': '⫏',
    \ '\csup': '⫐',
    \ '\csube': '⫑',
    \ '\csupe': '⫒',
    \ '\subsup': '⫓',
    \ '\supsub': '⫔',
    \ '\subsub': '⫕',
    \ '\supsup': '⫖',
    \ '\suphsub': '⫗',
    \ '\supdsub': '⫘',
    \ '\forkv': '⫙',
    \ '\mlcp': '⫛',
    \ '\forks': '⫝̸',
    \ '\forksnot': '⫝',
    \ '\dashV': '⫣',
    \ '\Dashv': '⫤',
    \ '\Top': '⫪',
    \ '\downvDash': '⫪',
    \ '\upvDash': '⫫',
    \ '\Bot': '⫫',
    \ '\indep': '⫫',
    \ '\interleave': '⫴',
    \ '\tdcol': '⫶',
    \ '\lllnest': '⫷',
    \ '\gggnest': '⫸',
    \ '\leqqslant': '⫹',
    \ '\geqqslant': '⫺',
    \ '\:arrow_left:': '⬅',
    \ '\:arrow_up:': '⬆',
    \ '\:arrow_down:': '⬇',
    \ '\squaretopblack': '⬒',
    \ '\squarebotblack': '⬓',
    \ '\squareurblack': '⬔',
    \ '\squarellblack': '⬕',
    \ '\diamondleftblack': '⬖',
    \ '\diamondrightblack': '⬗',
    \ '\diamondtopblack': '⬘',
    \ '\diamondbotblack': '⬙',
    \ '\dottedsquare': '⬚',
    \ '\lgblksquare': '⬛',
    \ '\:black_large_square:': '⬛',
    \ '\lgwhtsquare': '⬜',
    \ '\:white_large_square:': '⬜',
    \ '\vysmblksquare': '⬝',
    \ '\vysmwhtsquare': '⬞',
    \ '\pentagonblack': '⬟',
    \ '\pentagon': '⬠',
    \ '\varhexagon': '⬡',
    \ '\varhexagonblack': '⬢',
    \ '\hexagonblack': '⬣',
    \ '\lgblkcircle': '⬤',
    \ '\mdblkdiamond': '⬥',
    \ '\mdwhtdiamond': '⬦',
    \ '\mdblklozenge': '⬧',
    \ '\mdwhtlozenge': '⬨',
    \ '\smblkdiamond': '⬩',
    \ '\smblklozenge': '⬪',
    \ '\smwhtlozenge': '⬫',
    \ '\blkhorzoval': '⬬',
    \ '\whthorzoval': '⬭',
    \ '\blkvertoval': '⬮',
    \ '\whtvertoval': '⬯',
    \ '\circleonleftarrow': '⬰',
    \ '\leftthreearrows': '⬱',
    \ '\leftarrowonoplus': '⬲',
    \ '\longleftsquigarrow': '⬳',
    \ '\nvtwoheadleftarrow': '⬴',
    \ '\nVtwoheadleftarrow': '⬵',
    \ '\twoheadmapsfrom': '⬶',
    \ '\twoheadleftdbkarrow': '⬷',
    \ '\leftdotarrow': '⬸',
    \ '\nvleftarrowtail': '⬹',
    \ '\nVleftarrowtail': '⬺',
    \ '\twoheadleftarrowtail': '⬻',
    \ '\nvtwoheadleftarrowtail': '⬼',
    \ '\nVtwoheadleftarrowtail': '⬽',
    \ '\leftarrowx': '⬾',
    \ '\leftcurvedarrow': '⬿',
    \ '\equalleftarrow': '⭀',
    \ '\bsimilarleftarrow': '⭁',
    \ '\leftarrowbackapprox': '⭂',
    \ '\rightarrowgtr': '⭃',
    \ '\rightarrowsupset': '⭄',
    \ '\LLeftarrow': '⭅',
    \ '\RRightarrow': '⭆',
    \ '\bsimilarrightarrow': '⭇',
    \ '\rightarrowbackapprox': '⭈',
    \ '\similarleftarrow': '⭉',
    \ '\leftarrowapprox': '⭊',
    \ '\leftarrowbsimilar': '⭋',
    \ '\rightarrowbsimilar': '⭌',
    \ '\medwhitestar': '⭐',
    \ '\:star:': '⭐',
    \ '\medblackstar': '⭑',
    \ '\smwhitestar': '⭒',
    \ '\rightpentagonblack': '⭓',
    \ '\rightpentagon': '⭔',
    \ '\:o:': '⭕',
    \ '\_j': 'ⱼ',
    \ '\^V': 'ⱽ',
    \ '\postalmark': '〒',
    \ '\:wavy_dash:': '〰',
    \ '\:part_alternation_mark:': '〽',
    \ '\:congratulations:': '㊗',
    \ '\:secret:': '㊙',
    \ '\^uparrow': 'ꜛ',
    \ '\^downarrow': 'ꜜ',
    \ '\^!': 'ꜝ',
    \ '\bfA': '𝐀',
    \ '\bfB': '𝐁',
    \ '\bfC': '𝐂',
    \ '\bfD': '𝐃',
    \ '\bfE': '𝐄',
    \ '\bfF': '𝐅',
    \ '\bfG': '𝐆',
    \ '\bfH': '𝐇',
    \ '\bfI': '𝐈',
    \ '\bfJ': '𝐉',
    \ '\bfK': '𝐊',
    \ '\bfL': '𝐋',
    \ '\bfM': '𝐌',
    \ '\bfN': '𝐍',
    \ '\bfO': '𝐎',
    \ '\bfP': '𝐏',
    \ '\bfQ': '𝐐',
    \ '\bfR': '𝐑',
    \ '\bfS': '𝐒',
    \ '\bfT': '𝐓',
    \ '\bfU': '𝐔',
    \ '\bfV': '𝐕',
    \ '\bfW': '𝐖',
    \ '\bfX': '𝐗',
    \ '\bfY': '𝐘',
    \ '\bfZ': '𝐙',
    \ '\bfa': '𝐚',
    \ '\bfb': '𝐛',
    \ '\bfc': '𝐜',
    \ '\bfd': '𝐝',
    \ '\bfe': '𝐞',
    \ '\bff': '𝐟',
    \ '\bfg': '𝐠',
    \ '\bfh': '𝐡',
    \ '\bfi': '𝐢',
    \ '\bfj': '𝐣',
    \ '\bfk': '𝐤',
    \ '\bfl': '𝐥',
    \ '\bfm': '𝐦',
    \ '\bfn': '𝐧',
    \ '\bfo': '𝐨',
    \ '\bfp': '𝐩',
    \ '\bfq': '𝐪',
    \ '\bfr': '𝐫',
    \ '\bfs': '𝐬',
    \ '\bft': '𝐭',
    \ '\bfu': '𝐮',
    \ '\bfv': '𝐯',
    \ '\bfw': '𝐰',
    \ '\bfx': '𝐱',
    \ '\bfy': '𝐲',
    \ '\bfz': '𝐳',
    \ '\itA': '𝐴',
    \ '\itB': '𝐵',
    \ '\itC': '𝐶',
    \ '\itD': '𝐷',
    \ '\itE': '𝐸',
    \ '\itF': '𝐹',
    \ '\itG': '𝐺',
    \ '\itH': '𝐻',
    \ '\itI': '𝐼',
    \ '\itJ': '𝐽',
    \ '\itK': '𝐾',
    \ '\itL': '𝐿',
    \ '\itM': '𝑀',
    \ '\itN': '𝑁',
    \ '\itO': '𝑂',
    \ '\itP': '𝑃',
    \ '\itQ': '𝑄',
    \ '\itR': '𝑅',
    \ '\itS': '𝑆',
    \ '\itT': '𝑇',
    \ '\itU': '𝑈',
    \ '\itV': '𝑉',
    \ '\itW': '𝑊',
    \ '\itX': '𝑋',
    \ '\itY': '𝑌',
    \ '\itZ': '𝑍',
    \ '\ita': '𝑎',
    \ '\itb': '𝑏',
    \ '\itc': '𝑐',
    \ '\itd': '𝑑',
    \ '\ite': '𝑒',
    \ '\itf': '𝑓',
    \ '\itg': '𝑔',
    \ '\iti': '𝑖',
    \ '\itj': '𝑗',
    \ '\itk': '𝑘',
    \ '\itl': '𝑙',
    \ '\itm': '𝑚',
    \ '\itn': '𝑛',
    \ '\ito': '𝑜',
    \ '\itp': '𝑝',
    \ '\itq': '𝑞',
    \ '\itr': '𝑟',
    \ '\its': '𝑠',
    \ '\itt': '𝑡',
    \ '\itu': '𝑢',
    \ '\itv': '𝑣',
    \ '\itw': '𝑤',
    \ '\itx': '𝑥',
    \ '\ity': '𝑦',
    \ '\itz': '𝑧',
    \ '\biA': '𝑨',
    \ '\biB': '𝑩',
    \ '\biC': '𝑪',
    \ '\biD': '𝑫',
    \ '\biE': '𝑬',
    \ '\biF': '𝑭',
    \ '\biG': '𝑮',
    \ '\biH': '𝑯',
    \ '\biI': '𝑰',
    \ '\biJ': '𝑱',
    \ '\biK': '𝑲',
    \ '\biL': '𝑳',
    \ '\biM': '𝑴',
    \ '\biN': '𝑵',
    \ '\biO': '𝑶',
    \ '\biP': '𝑷',
    \ '\biQ': '𝑸',
    \ '\biR': '𝑹',
    \ '\biS': '𝑺',
    \ '\biT': '𝑻',
    \ '\biU': '𝑼',
    \ '\biV': '𝑽',
    \ '\biW': '𝑾',
    \ '\biX': '𝑿',
    \ '\biY': '𝒀',
    \ '\biZ': '𝒁',
    \ '\bia': '𝒂',
    \ '\bib': '𝒃',
    \ '\bic': '𝒄',
    \ '\bid': '𝒅',
    \ '\bie': '𝒆',
    \ '\bif': '𝒇',
    \ '\big': '𝒈',
    \ '\bih': '𝒉',
    \ '\bii': '𝒊',
    \ '\bij': '𝒋',
    \ '\bik': '𝒌',
    \ '\bil': '𝒍',
    \ '\bim': '𝒎',
    \ '\bin': '𝒏',
    \ '\bio': '𝒐',
    \ '\bip': '𝒑',
    \ '\biq': '𝒒',
    \ '\bir': '𝒓',
    \ '\bis': '𝒔',
    \ '\bit': '𝒕',
    \ '\biu': '𝒖',
    \ '\biv': '𝒗',
    \ '\biw': '𝒘',
    \ '\bix': '𝒙',
    \ '\biy': '𝒚',
    \ '\biz': '𝒛',
    \ '\scrA': '𝒜',
    \ '\scrC': '𝒞',
    \ '\scrD': '𝒟',
    \ '\scrG': '𝒢',
    \ '\scrJ': '𝒥',
    \ '\scrK': '𝒦',
    \ '\scrN': '𝒩',
    \ '\scrO': '𝒪',
    \ '\scrP': '𝒫',
    \ '\scrQ': '𝒬',
    \ '\scrS': '𝒮',
    \ '\scrT': '𝒯',
    \ '\scrU': '𝒰',
    \ '\scrV': '𝒱',
    \ '\scrW': '𝒲',
    \ '\scrX': '𝒳',
    \ '\scrY': '𝒴',
    \ '\scrZ': '𝒵',
    \ '\scra': '𝒶',
    \ '\scrb': '𝒷',
    \ '\scrc': '𝒸',
    \ '\scrd': '𝒹',
    \ '\scrf': '𝒻',
    \ '\scrh': '𝒽',
    \ '\scri': '𝒾',
    \ '\scrj': '𝒿',
    \ '\scrk': '𝓀',
    \ '\scrl': '𝓁',
    \ '\scrm': '𝓂',
    \ '\scrn': '𝓃',
    \ '\scrp': '𝓅',
    \ '\scrq': '𝓆',
    \ '\scrr': '𝓇',
    \ '\scrs': '𝓈',
    \ '\scrt': '𝓉',
    \ '\scru': '𝓊',
    \ '\scrv': '𝓋',
    \ '\scrw': '𝓌',
    \ '\scrx': '𝓍',
    \ '\scry': '𝓎',
    \ '\scrz': '𝓏',
    \ '\bscrA': '𝓐',
    \ '\bscrB': '𝓑',
    \ '\bscrC': '𝓒',
    \ '\bscrD': '𝓓',
    \ '\bscrE': '𝓔',
    \ '\bscrF': '𝓕',
    \ '\bscrG': '𝓖',
    \ '\bscrH': '𝓗',
    \ '\bscrI': '𝓘',
    \ '\bscrJ': '𝓙',
    \ '\bscrK': '𝓚',
    \ '\bscrL': '𝓛',
    \ '\bscrM': '𝓜',
    \ '\bscrN': '𝓝',
    \ '\bscrO': '𝓞',
    \ '\bscrP': '𝓟',
    \ '\bscrQ': '𝓠',
    \ '\bscrR': '𝓡',
    \ '\bscrS': '𝓢',
    \ '\bscrT': '𝓣',
    \ '\bscrU': '𝓤',
    \ '\bscrV': '𝓥',
    \ '\bscrW': '𝓦',
    \ '\bscrX': '𝓧',
    \ '\bscrY': '𝓨',
    \ '\bscrZ': '𝓩',
    \ '\bscra': '𝓪',
    \ '\bscrb': '𝓫',
    \ '\bscrc': '𝓬',
    \ '\bscrd': '𝓭',
    \ '\bscre': '𝓮',
    \ '\bscrf': '𝓯',
    \ '\bscrg': '𝓰',
    \ '\bscrh': '𝓱',
    \ '\bscri': '𝓲',
    \ '\bscrj': '𝓳',
    \ '\bscrk': '𝓴',
    \ '\bscrl': '𝓵',
    \ '\bscrm': '𝓶',
    \ '\bscrn': '𝓷',
    \ '\bscro': '𝓸',
    \ '\bscrp': '𝓹',
    \ '\bscrq': '𝓺',
    \ '\bscrr': '𝓻',
    \ '\bscrs': '𝓼',
    \ '\bscrt': '𝓽',
    \ '\bscru': '𝓾',
    \ '\bscrv': '𝓿',
    \ '\bscrw': '𝔀',
    \ '\bscrx': '𝔁',
    \ '\bscry': '𝔂',
    \ '\bscrz': '𝔃',
    \ '\frakA': '𝔄',
    \ '\frakB': '𝔅',
    \ '\frakD': '𝔇',
    \ '\frakE': '𝔈',
    \ '\frakF': '𝔉',
    \ '\frakG': '𝔊',
    \ '\frakJ': '𝔍',
    \ '\frakK': '𝔎',
    \ '\frakL': '𝔏',
    \ '\frakM': '𝔐',
    \ '\frakN': '𝔑',
    \ '\frakO': '𝔒',
    \ '\frakP': '𝔓',
    \ '\frakQ': '𝔔',
    \ '\frakS': '𝔖',
    \ '\frakT': '𝔗',
    \ '\frakU': '𝔘',
    \ '\frakV': '𝔙',
    \ '\frakW': '𝔚',
    \ '\frakX': '𝔛',
    \ '\frakY': '𝔜',
    \ '\fraka': '𝔞',
    \ '\frakb': '𝔟',
    \ '\frakc': '𝔠',
    \ '\frakd': '𝔡',
    \ '\frake': '𝔢',
    \ '\frakf': '𝔣',
    \ '\frakg': '𝔤',
    \ '\frakh': '𝔥',
    \ '\fraki': '𝔦',
    \ '\frakj': '𝔧',
    \ '\frakk': '𝔨',
    \ '\frakl': '𝔩',
    \ '\frakm': '𝔪',
    \ '\frakn': '𝔫',
    \ '\frako': '𝔬',
    \ '\frakp': '𝔭',
    \ '\frakq': '𝔮',
    \ '\frakr': '𝔯',
    \ '\fraks': '𝔰',
    \ '\frakt': '𝔱',
    \ '\fraku': '𝔲',
    \ '\frakv': '𝔳',
    \ '\frakw': '𝔴',
    \ '\frakx': '𝔵',
    \ '\fraky': '𝔶',
    \ '\frakz': '𝔷',
    \ '\bbA': '𝔸',
    \ '\bbB': '𝔹',
    \ '\bbD': '𝔻',
    \ '\bbE': '𝔼',
    \ '\bbF': '𝔽',
    \ '\bbG': '𝔾',
    \ '\bbI': '𝕀',
    \ '\bbJ': '𝕁',
    \ '\bbK': '𝕂',
    \ '\bbL': '𝕃',
    \ '\bbM': '𝕄',
    \ '\bbO': '𝕆',
    \ '\bbS': '𝕊',
    \ '\bbT': '𝕋',
    \ '\bbU': '𝕌',
    \ '\bbV': '𝕍',
    \ '\bbW': '𝕎',
    \ '\bbX': '𝕏',
    \ '\bbY': '𝕐',
    \ '\bba': '𝕒',
    \ '\bbb': '𝕓',
    \ '\bbc': '𝕔',
    \ '\bbd': '𝕕',
    \ '\bbe': '𝕖',
    \ '\bbf': '𝕗',
    \ '\bbg': '𝕘',
    \ '\bbh': '𝕙',
    \ '\bbi': '𝕚',
    \ '\bbj': '𝕛',
    \ '\bbk': '𝕜',
    \ '\bbl': '𝕝',
    \ '\bbm': '𝕞',
    \ '\bbn': '𝕟',
    \ '\bbo': '𝕠',
    \ '\bbp': '𝕡',
    \ '\bbq': '𝕢',
    \ '\bbr': '𝕣',
    \ '\bbs': '𝕤',
    \ '\bbt': '𝕥',
    \ '\bbu': '𝕦',
    \ '\bbv': '𝕧',
    \ '\bbw': '𝕨',
    \ '\bbx': '𝕩',
    \ '\bby': '𝕪',
    \ '\bbz': '𝕫',
    \ '\bfrakA': '𝕬',
    \ '\bfrakB': '𝕭',
    \ '\bfrakC': '𝕮',
    \ '\bfrakD': '𝕯',
    \ '\bfrakE': '𝕰',
    \ '\bfrakF': '𝕱',
    \ '\bfrakG': '𝕲',
    \ '\bfrakH': '𝕳',
    \ '\bfrakI': '𝕴',
    \ '\bfrakJ': '𝕵',
    \ '\bfrakK': '𝕶',
    \ '\bfrakL': '𝕷',
    \ '\bfrakM': '𝕸',
    \ '\bfrakN': '𝕹',
    \ '\bfrakO': '𝕺',
    \ '\bfrakP': '𝕻',
    \ '\bfrakQ': '𝕼',
    \ '\bfrakR': '𝕽',
    \ '\bfrakS': '𝕾',
    \ '\bfrakT': '𝕿',
    \ '\bfrakU': '𝖀',
    \ '\bfrakV': '𝖁',
    \ '\bfrakW': '𝖂',
    \ '\bfrakX': '𝖃',
    \ '\bfrakY': '𝖄',
    \ '\bfrakZ': '𝖅',
    \ '\bfraka': '𝖆',
    \ '\bfrakb': '𝖇',
    \ '\bfrakc': '𝖈',
    \ '\bfrakd': '𝖉',
    \ '\bfrake': '𝖊',
    \ '\bfrakf': '𝖋',
    \ '\bfrakg': '𝖌',
    \ '\bfrakh': '𝖍',
    \ '\bfraki': '𝖎',
    \ '\bfrakj': '𝖏',
    \ '\bfrakk': '𝖐',
    \ '\bfrakl': '𝖑',
    \ '\bfrakm': '𝖒',
    \ '\bfrakn': '𝖓',
    \ '\bfrako': '𝖔',
    \ '\bfrakp': '𝖕',
    \ '\bfrakq': '𝖖',
    \ '\bfrakr': '𝖗',
    \ '\bfraks': '𝖘',
    \ '\bfrakt': '𝖙',
    \ '\bfraku': '𝖚',
    \ '\bfrakv': '𝖛',
    \ '\bfrakw': '𝖜',
    \ '\bfrakx': '𝖝',
    \ '\bfraky': '𝖞',
    \ '\bfrakz': '𝖟',
    \ '\sansA': '𝖠',
    \ '\sansB': '𝖡',
    \ '\sansC': '𝖢',
    \ '\sansD': '𝖣',
    \ '\sansE': '𝖤',
    \ '\sansF': '𝖥',
    \ '\sansG': '𝖦',
    \ '\sansH': '𝖧',
    \ '\sansI': '𝖨',
    \ '\sansJ': '𝖩',
    \ '\sansK': '𝖪',
    \ '\sansL': '𝖫',
    \ '\sansM': '𝖬',
    \ '\sansN': '𝖭',
    \ '\sansO': '𝖮',
    \ '\sansP': '𝖯',
    \ '\sansQ': '𝖰',
    \ '\sansR': '𝖱',
    \ '\sansS': '𝖲',
    \ '\sansT': '𝖳',
    \ '\sansU': '𝖴',
    \ '\sansV': '𝖵',
    \ '\sansW': '𝖶',
    \ '\sansX': '𝖷',
    \ '\sansY': '𝖸',
    \ '\sansZ': '𝖹',
    \ '\sansa': '𝖺',
    \ '\sansb': '𝖻',
    \ '\sansc': '𝖼',
    \ '\sansd': '𝖽',
    \ '\sanse': '𝖾',
    \ '\sansf': '𝖿',
    \ '\sansg': '𝗀',
    \ '\sansh': '𝗁',
    \ '\sansi': '𝗂',
    \ '\sansj': '𝗃',
    \ '\sansk': '𝗄',
    \ '\sansl': '𝗅',
    \ '\sansm': '𝗆',
    \ '\sansn': '𝗇',
    \ '\sanso': '𝗈',
    \ '\sansp': '𝗉',
    \ '\sansq': '𝗊',
    \ '\sansr': '𝗋',
    \ '\sanss': '𝗌',
    \ '\sanst': '𝗍',
    \ '\sansu': '𝗎',
    \ '\sansv': '𝗏',
    \ '\sansw': '𝗐',
    \ '\sansx': '𝗑',
    \ '\sansy': '𝗒',
    \ '\sansz': '𝗓',
    \ '\bsansA': '𝗔',
    \ '\bsansB': '𝗕',
    \ '\bsansC': '𝗖',
    \ '\bsansD': '𝗗',
    \ '\bsansE': '𝗘',
    \ '\bsansF': '𝗙',
    \ '\bsansG': '𝗚',
    \ '\bsansH': '𝗛',
    \ '\bsansI': '𝗜',
    \ '\bsansJ': '𝗝',
    \ '\bsansK': '𝗞',
    \ '\bsansL': '𝗟',
    \ '\bsansM': '𝗠',
    \ '\bsansN': '𝗡',
    \ '\bsansO': '𝗢',
    \ '\bsansP': '𝗣',
    \ '\bsansQ': '𝗤',
    \ '\bsansR': '𝗥',
    \ '\bsansS': '𝗦',
    \ '\bsansT': '𝗧',
    \ '\bsansU': '𝗨',
    \ '\bsansV': '𝗩',
    \ '\bsansW': '𝗪',
    \ '\bsansX': '𝗫',
    \ '\bsansY': '𝗬',
    \ '\bsansZ': '𝗭',
    \ '\bsansa': '𝗮',
    \ '\bsansb': '𝗯',
    \ '\bsansc': '𝗰',
    \ '\bsansd': '𝗱',
    \ '\bsanse': '𝗲',
    \ '\bsansf': '𝗳',
    \ '\bsansg': '𝗴',
    \ '\bsansh': '𝗵',
    \ '\bsansi': '𝗶',
    \ '\bsansj': '𝗷',
    \ '\bsansk': '𝗸',
    \ '\bsansl': '𝗹',
    \ '\bsansm': '𝗺',
    \ '\bsansn': '𝗻',
    \ '\bsanso': '𝗼',
    \ '\bsansp': '𝗽',
    \ '\bsansq': '𝗾',
    \ '\bsansr': '𝗿',
    \ '\bsanss': '𝘀',
    \ '\bsanst': '𝘁',
    \ '\bsansu': '𝘂',
    \ '\bsansv': '𝘃',
    \ '\bsansw': '𝘄',
    \ '\bsansx': '𝘅',
    \ '\bsansy': '𝘆',
    \ '\bsansz': '𝘇',
    \ '\isansA': '𝘈',
    \ '\isansB': '𝘉',
    \ '\isansC': '𝘊',
    \ '\isansD': '𝘋',
    \ '\isansE': '𝘌',
    \ '\isansF': '𝘍',
    \ '\isansG': '𝘎',
    \ '\isansH': '𝘏',
    \ '\isansI': '𝘐',
    \ '\isansJ': '𝘑',
    \ '\isansK': '𝘒',
    \ '\isansL': '𝘓',
    \ '\isansM': '𝘔',
    \ '\isansN': '𝘕',
    \ '\isansO': '𝘖',
    \ '\isansP': '𝘗',
    \ '\isansQ': '𝘘',
    \ '\isansR': '𝘙',
    \ '\isansS': '𝘚',
    \ '\isansT': '𝘛',
    \ '\isansU': '𝘜',
    \ '\isansV': '𝘝',
    \ '\isansW': '𝘞',
    \ '\isansX': '𝘟',
    \ '\isansY': '𝘠',
    \ '\isansZ': '𝘡',
    \ '\isansa': '𝘢',
    \ '\isansb': '𝘣',
    \ '\isansc': '𝘤',
    \ '\isansd': '𝘥',
    \ '\isanse': '𝘦',
    \ '\isansf': '𝘧',
    \ '\isansg': '𝘨',
    \ '\isansh': '𝘩',
    \ '\isansi': '𝘪',
    \ '\isansj': '𝘫',
    \ '\isansk': '𝘬',
    \ '\isansl': '𝘭',
    \ '\isansm': '𝘮',
    \ '\isansn': '𝘯',
    \ '\isanso': '𝘰',
    \ '\isansp': '𝘱',
    \ '\isansq': '𝘲',
    \ '\isansr': '𝘳',
    \ '\isanss': '𝘴',
    \ '\isanst': '𝘵',
    \ '\isansu': '𝘶',
    \ '\isansv': '𝘷',
    \ '\isansw': '𝘸',
    \ '\isansx': '𝘹',
    \ '\isansy': '𝘺',
    \ '\isansz': '𝘻',
    \ '\bisansA': '𝘼',
    \ '\bisansB': '𝘽',
    \ '\bisansC': '𝘾',
    \ '\bisansD': '𝘿',
    \ '\bisansE': '𝙀',
    \ '\bisansF': '𝙁',
    \ '\bisansG': '𝙂',
    \ '\bisansH': '𝙃',
    \ '\bisansI': '𝙄',
    \ '\bisansJ': '𝙅',
    \ '\bisansK': '𝙆',
    \ '\bisansL': '𝙇',
    \ '\bisansM': '𝙈',
    \ '\bisansN': '𝙉',
    \ '\bisansO': '𝙊',
    \ '\bisansP': '𝙋',
    \ '\bisansQ': '𝙌',
    \ '\bisansR': '𝙍',
    \ '\bisansS': '𝙎',
    \ '\bisansT': '𝙏',
    \ '\bisansU': '𝙐',
    \ '\bisansV': '𝙑',
    \ '\bisansW': '𝙒',
    \ '\bisansX': '𝙓',
    \ '\bisansY': '𝙔',
    \ '\bisansZ': '𝙕',
    \ '\bisansa': '𝙖',
    \ '\bisansb': '𝙗',
    \ '\bisansc': '𝙘',
    \ '\bisansd': '𝙙',
    \ '\bisanse': '𝙚',
    \ '\bisansf': '𝙛',
    \ '\bisansg': '𝙜',
    \ '\bisansh': '𝙝',
    \ '\bisansi': '𝙞',
    \ '\bisansj': '𝙟',
    \ '\bisansk': '𝙠',
    \ '\bisansl': '𝙡',
    \ '\bisansm': '𝙢',
    \ '\bisansn': '𝙣',
    \ '\bisanso': '𝙤',
    \ '\bisansp': '𝙥',
    \ '\bisansq': '𝙦',
    \ '\bisansr': '𝙧',
    \ '\bisanss': '𝙨',
    \ '\bisanst': '𝙩',
    \ '\bisansu': '𝙪',
    \ '\bisansv': '𝙫',
    \ '\bisansw': '𝙬',
    \ '\bisansx': '𝙭',
    \ '\bisansy': '𝙮',
    \ '\bisansz': '𝙯',
    \ '\ttA': '𝙰',
    \ '\ttB': '𝙱',
    \ '\ttC': '𝙲',
    \ '\ttD': '𝙳',
    \ '\ttE': '𝙴',
    \ '\ttF': '𝙵',
    \ '\ttG': '𝙶',
    \ '\ttH': '𝙷',
    \ '\ttI': '𝙸',
    \ '\ttJ': '𝙹',
    \ '\ttK': '𝙺',
    \ '\ttL': '𝙻',
    \ '\ttM': '𝙼',
    \ '\ttN': '𝙽',
    \ '\ttO': '𝙾',
    \ '\ttP': '𝙿',
    \ '\ttQ': '𝚀',
    \ '\ttR': '𝚁',
    \ '\ttS': '𝚂',
    \ '\ttT': '𝚃',
    \ '\ttU': '𝚄',
    \ '\ttV': '𝚅',
    \ '\ttW': '𝚆',
    \ '\ttX': '𝚇',
    \ '\ttY': '𝚈',
    \ '\ttZ': '𝚉',
    \ '\tta': '𝚊',
    \ '\ttb': '𝚋',
    \ '\ttc': '𝚌',
    \ '\ttd': '𝚍',
    \ '\tte': '𝚎',
    \ '\ttf': '𝚏',
    \ '\ttg': '𝚐',
    \ '\tth': '𝚑',
    \ '\tti': '𝚒',
    \ '\ttj': '𝚓',
    \ '\ttk': '𝚔',
    \ '\ttl': '𝚕',
    \ '\ttm': '𝚖',
    \ '\ttn': '𝚗',
    \ '\tto': '𝚘',
    \ '\ttp': '𝚙',
    \ '\ttq': '𝚚',
    \ '\ttr': '𝚛',
    \ '\tts': '𝚜',
    \ '\ttt': '𝚝',
    \ '\ttu': '𝚞',
    \ '\ttv': '𝚟',
    \ '\ttw': '𝚠',
    \ '\ttx': '𝚡',
    \ '\tty': '𝚢',
    \ '\ttz': '𝚣',
    \ '\itimath': '𝚤',
    \ '\itjmath': '𝚥',
    \ '\bfAlpha': '𝚨',
    \ '\bfBeta': '𝚩',
    \ '\bfGamma': '𝚪',
    \ '\bfDelta': '𝚫',
    \ '\bfEpsilon': '𝚬',
    \ '\bfZeta': '𝚭',
    \ '\bfEta': '𝚮',
    \ '\bfTheta': '𝚯',
    \ '\bfIota': '𝚰',
    \ '\bfKappa': '𝚱',
    \ '\bfLambda': '𝚲',
    \ '\bfMu': '𝚳',
    \ '\bfNu': '𝚴',
    \ '\bfXi': '𝚵',
    \ '\bfOmicron': '𝚶',
    \ '\bfPi': '𝚷',
    \ '\bfRho': '𝚸',
    \ '\bfvarTheta': '𝚹',
    \ '\bfSigma': '𝚺',
    \ '\bfTau': '𝚻',
    \ '\bfUpsilon': '𝚼',
    \ '\bfPhi': '𝚽',
    \ '\bfChi': '𝚾',
    \ '\bfPsi': '𝚿',
    \ '\bfOmega': '𝛀',
    \ '\bfnabla': '𝛁',
    \ '\bfalpha': '𝛂',
    \ '\bfbeta': '𝛃',
    \ '\bfgamma': '𝛄',
    \ '\bfdelta': '𝛅',
    \ '\bfvarepsilon': '𝛆',
    \ '\bfzeta': '𝛇',
    \ '\bfeta': '𝛈',
    \ '\bftheta': '𝛉',
    \ '\bfiota': '𝛊',
    \ '\bfkappa': '𝛋',
    \ '\bflambda': '𝛌',
    \ '\bfmu': '𝛍',
    \ '\bfnu': '𝛎',
    \ '\bfxi': '𝛏',
    \ '\bfomicron': '𝛐',
    \ '\bfpi': '𝛑',
    \ '\bfrho': '𝛒',
    \ '\bfvarsigma': '𝛓',
    \ '\bfsigma': '𝛔',
    \ '\bftau': '𝛕',
    \ '\bfupsilon': '𝛖',
    \ '\bfvarphi': '𝛗',
    \ '\bfchi': '𝛘',
    \ '\bfpsi': '𝛙',
    \ '\bfomega': '𝛚',
    \ '\bfpartial': '𝛛',
    \ '\bfepsilon': '𝛜',
    \ '\bfvartheta': '𝛝',
    \ '\bfvarkappa': '𝛞',
    \ '\bfphi': '𝛟',
    \ '\bfvarrho': '𝛠',
    \ '\bfvarpi': '𝛡',
    \ '\itAlpha': '𝛢',
    \ '\itBeta': '𝛣',
    \ '\itGamma': '𝛤',
    \ '\itDelta': '𝛥',
    \ '\itEpsilon': '𝛦',
    \ '\itZeta': '𝛧',
    \ '\itEta': '𝛨',
    \ '\itTheta': '𝛩',
    \ '\itIota': '𝛪',
    \ '\itKappa': '𝛫',
    \ '\itLambda': '𝛬',
    \ '\itMu': '𝛭',
    \ '\itNu': '𝛮',
    \ '\itXi': '𝛯',
    \ '\itOmicron': '𝛰',
    \ '\itPi': '𝛱',
    \ '\itRho': '𝛲',
    \ '\itvarTheta': '𝛳',
    \ '\itSigma': '𝛴',
    \ '\itTau': '𝛵',
    \ '\itUpsilon': '𝛶',
    \ '\itPhi': '𝛷',
    \ '\itChi': '𝛸',
    \ '\itPsi': '𝛹',
    \ '\itOmega': '𝛺',
    \ '\itnabla': '𝛻',
    \ '\italpha': '𝛼',
    \ '\itbeta': '𝛽',
    \ '\itgamma': '𝛾',
    \ '\itdelta': '𝛿',
    \ '\itvarepsilon': '𝜀',
    \ '\itzeta': '𝜁',
    \ '\iteta': '𝜂',
    \ '\ittheta': '𝜃',
    \ '\itiota': '𝜄',
    \ '\itkappa': '𝜅',
    \ '\itlambda': '𝜆',
    \ '\itmu': '𝜇',
    \ '\itnu': '𝜈',
    \ '\itxi': '𝜉',
    \ '\itomicron': '𝜊',
    \ '\itpi': '𝜋',
    \ '\itrho': '𝜌',
    \ '\itvarsigma': '𝜍',
    \ '\itsigma': '𝜎',
    \ '\ittau': '𝜏',
    \ '\itupsilon': '𝜐',
    \ '\itvarphi': '𝜑',
    \ '\itchi': '𝜒',
    \ '\itpsi': '𝜓',
    \ '\itomega': '𝜔',
    \ '\itpartial': '𝜕',
    \ '\itepsilon': '𝜖',
    \ '\itvartheta': '𝜗',
    \ '\itvarkappa': '𝜘',
    \ '\itphi': '𝜙',
    \ '\itvarrho': '𝜚',
    \ '\itvarpi': '𝜛',
    \ '\biAlpha': '𝜜',
    \ '\biBeta': '𝜝',
    \ '\biGamma': '𝜞',
    \ '\biDelta': '𝜟',
    \ '\biEpsilon': '𝜠',
    \ '\biZeta': '𝜡',
    \ '\biEta': '𝜢',
    \ '\biTheta': '𝜣',
    \ '\biIota': '𝜤',
    \ '\biKappa': '𝜥',
    \ '\biLambda': '𝜦',
    \ '\biMu': '𝜧',
    \ '\biNu': '𝜨',
    \ '\biXi': '𝜩',
    \ '\biOmicron': '𝜪',
    \ '\biPi': '𝜫',
    \ '\biRho': '𝜬',
    \ '\bivarTheta': '𝜭',
    \ '\biSigma': '𝜮',
    \ '\biTau': '𝜯',
    \ '\biUpsilon': '𝜰',
    \ '\biPhi': '𝜱',
    \ '\biChi': '𝜲',
    \ '\biPsi': '𝜳',
    \ '\biOmega': '𝜴',
    \ '\binabla': '𝜵',
    \ '\bialpha': '𝜶',
    \ '\bibeta': '𝜷',
    \ '\bigamma': '𝜸',
    \ '\bidelta': '𝜹',
    \ '\bivarepsilon': '𝜺',
    \ '\bizeta': '𝜻',
    \ '\bieta': '𝜼',
    \ '\bitheta': '𝜽',
    \ '\biiota': '𝜾',
    \ '\bikappa': '𝜿',
    \ '\bilambda': '𝝀',
    \ '\bimu': '𝝁',
    \ '\binu': '𝝂',
    \ '\bixi': '𝝃',
    \ '\biomicron': '𝝄',
    \ '\bipi': '𝝅',
    \ '\birho': '𝝆',
    \ '\bivarsigma': '𝝇',
    \ '\bisigma': '𝝈',
    \ '\bitau': '𝝉',
    \ '\biupsilon': '𝝊',
    \ '\bivarphi': '𝝋',
    \ '\bichi': '𝝌',
    \ '\bipsi': '𝝍',
    \ '\biomega': '𝝎',
    \ '\bipartial': '𝝏',
    \ '\biepsilon': '𝝐',
    \ '\bivartheta': '𝝑',
    \ '\bivarkappa': '𝝒',
    \ '\biphi': '𝝓',
    \ '\bivarrho': '𝝔',
    \ '\bivarpi': '𝝕',
    \ '\bsansAlpha': '𝝖',
    \ '\bsansBeta': '𝝗',
    \ '\bsansGamma': '𝝘',
    \ '\bsansDelta': '𝝙',
    \ '\bsansEpsilon': '𝝚',
    \ '\bsansZeta': '𝝛',
    \ '\bsansEta': '𝝜',
    \ '\bsansTheta': '𝝝',
    \ '\bsansIota': '𝝞',
    \ '\bsansKappa': '𝝟',
    \ '\bsansLambda': '𝝠',
    \ '\bsansMu': '𝝡',
    \ '\bsansNu': '𝝢',
    \ '\bsansXi': '𝝣',
    \ '\bsansOmicron': '𝝤',
    \ '\bsansPi': '𝝥',
    \ '\bsansRho': '𝝦',
    \ '\bsansvarTheta': '𝝧',
    \ '\bsansSigma': '𝝨',
    \ '\bsansTau': '𝝩',
    \ '\bsansUpsilon': '𝝪',
    \ '\bsansPhi': '𝝫',
    \ '\bsansChi': '𝝬',
    \ '\bsansPsi': '𝝭',
    \ '\bsansOmega': '𝝮',
    \ '\bsansnabla': '𝝯',
    \ '\bsansalpha': '𝝰',
    \ '\bsansbeta': '𝝱',
    \ '\bsansgamma': '𝝲',
    \ '\bsansdelta': '𝝳',
    \ '\bsansvarepsilon': '𝝴',
    \ '\bsanszeta': '𝝵',
    \ '\bsanseta': '𝝶',
    \ '\bsanstheta': '𝝷',
    \ '\bsansiota': '𝝸',
    \ '\bsanskappa': '𝝹',
    \ '\bsanslambda': '𝝺',
    \ '\bsansmu': '𝝻',
    \ '\bsansnu': '𝝼',
    \ '\bsansxi': '𝝽',
    \ '\bsansomicron': '𝝾',
    \ '\bsanspi': '𝝿',
    \ '\bsansrho': '𝞀',
    \ '\bsansvarsigma': '𝞁',
    \ '\bsanssigma': '𝞂',
    \ '\bsanstau': '𝞃',
    \ '\bsansupsilon': '𝞄',
    \ '\bsansvarphi': '𝞅',
    \ '\bsanschi': '𝞆',
    \ '\bsanspsi': '𝞇',
    \ '\bsansomega': '𝞈',
    \ '\bsanspartial': '𝞉',
    \ '\bsansepsilon': '𝞊',
    \ '\bsansvartheta': '𝞋',
    \ '\bsansvarkappa': '𝞌',
    \ '\bsansphi': '𝞍',
    \ '\bsansvarrho': '𝞎',
    \ '\bsansvarpi': '𝞏',
    \ '\bisansAlpha': '𝞐',
    \ '\bisansBeta': '𝞑',
    \ '\bisansGamma': '𝞒',
    \ '\bisansDelta': '𝞓',
    \ '\bisansEpsilon': '𝞔',
    \ '\bisansZeta': '𝞕',
    \ '\bisansEta': '𝞖',
    \ '\bisansTheta': '𝞗',
    \ '\bisansIota': '𝞘',
    \ '\bisansKappa': '𝞙',
    \ '\bisansLambda': '𝞚',
    \ '\bisansMu': '𝞛',
    \ '\bisansNu': '𝞜',
    \ '\bisansXi': '𝞝',
    \ '\bisansOmicron': '𝞞',
    \ '\bisansPi': '𝞟',
    \ '\bisansRho': '𝞠',
    \ '\bisansvarTheta': '𝞡',
    \ '\bisansSigma': '𝞢',
    \ '\bisansTau': '𝞣',
    \ '\bisansUpsilon': '𝞤',
    \ '\bisansPhi': '𝞥',
    \ '\bisansChi': '𝞦',
    \ '\bisansPsi': '𝞧',
    \ '\bisansOmega': '𝞨',
    \ '\bisansnabla': '𝞩',
    \ '\bisansalpha': '𝞪',
    \ '\bisansbeta': '𝞫',
    \ '\bisansgamma': '𝞬',
    \ '\bisansdelta': '𝞭',
    \ '\bisansvarepsilon': '𝞮',
    \ '\bisanszeta': '𝞯',
    \ '\bisanseta': '𝞰',
    \ '\bisanstheta': '𝞱',
    \ '\bisansiota': '𝞲',
    \ '\bisanskappa': '𝞳',
    \ '\bisanslambda': '𝞴',
    \ '\bisansmu': '𝞵',
    \ '\bisansnu': '𝞶',
    \ '\bisansxi': '𝞷',
    \ '\bisansomicron': '𝞸',
    \ '\bisanspi': '𝞹',
    \ '\bisansrho': '𝞺',
    \ '\bisansvarsigma': '𝞻',
    \ '\bisanssigma': '𝞼',
    \ '\bisanstau': '𝞽',
    \ '\bisansupsilon': '𝞾',
    \ '\bisansvarphi': '𝞿',
    \ '\bisanschi': '𝟀',
    \ '\bisanspsi': '𝟁',
    \ '\bisansomega': '𝟂',
    \ '\bisanspartial': '𝟃',
    \ '\bisansepsilon': '𝟄',
    \ '\bisansvartheta': '𝟅',
    \ '\bisansvarkappa': '𝟆',
    \ '\bisansphi': '𝟇',
    \ '\bisansvarrho': '𝟈',
    \ '\bisansvarpi': '𝟉',
    \ '\bfDigamma': '𝟊',
    \ '\bfdigamma': '𝟋',
    \ '\bfzero': '𝟎',
    \ '\bfone': '𝟏',
    \ '\bftwo': '𝟐',
    \ '\bfthree': '𝟑',
    \ '\bffour': '𝟒',
    \ '\bffive': '𝟓',
    \ '\bfsix': '𝟔',
    \ '\bfseven': '𝟕',
    \ '\bfeight': '𝟖',
    \ '\bfnine': '𝟗',
    \ '\bbzero': '𝟘',
    \ '\bbone': '𝟙',
    \ '\bbtwo': '𝟚',
    \ '\bbthree': '𝟛',
    \ '\bbfour': '𝟜',
    \ '\bbfive': '𝟝',
    \ '\bbsix': '𝟞',
    \ '\bbseven': '𝟟',
    \ '\bbeight': '𝟠',
    \ '\bbnine': '𝟡',
    \ '\sanszero': '𝟢',
    \ '\sansone': '𝟣',
    \ '\sanstwo': '𝟤',
    \ '\sansthree': '𝟥',
    \ '\sansfour': '𝟦',
    \ '\sansfive': '𝟧',
    \ '\sanssix': '𝟨',
    \ '\sansseven': '𝟩',
    \ '\sanseight': '𝟪',
    \ '\sansnine': '𝟫',
    \ '\bsanszero': '𝟬',
    \ '\bsansone': '𝟭',
    \ '\bsanstwo': '𝟮',
    \ '\bsansthree': '𝟯',
    \ '\bsansfour': '𝟰',
    \ '\bsansfive': '𝟱',
    \ '\bsanssix': '𝟲',
    \ '\bsansseven': '𝟳',
    \ '\bsanseight': '𝟴',
    \ '\bsansnine': '𝟵',
    \ '\ttzero': '𝟶',
    \ '\ttone': '𝟷',
    \ '\tttwo': '𝟸',
    \ '\ttthree': '𝟹',
    \ '\ttfour': '𝟺',
    \ '\ttfive': '𝟻',
    \ '\ttsix': '𝟼',
    \ '\ttseven': '𝟽',
    \ '\tteight': '𝟾',
    \ '\ttnine': '𝟿',
    \ '\:mahjong:': '🀄',
    \ '\:black_joker:': '🃏',
    \ '\:a:': '🅰',
    \ '\:b:': '🅱',
    \ '\:o2:': '🅾',
    \ '\:parking:': '🅿',
    \ '\:ab:': '🆎',
    \ '\:cl:': '🆑',
    \ '\:cool:': '🆒',
    \ '\:free:': '🆓',
    \ '\:id:': '🆔',
    \ '\:new:': '🆕',
    \ '\:ng:': '🆖',
    \ '\:ok:': '🆗',
    \ '\:sos:': '🆘',
    \ '\:up:': '🆙',
    \ '\:vs:': '🆚',
    \ '\:koko:': '🈁',
    \ '\:sa:': '🈂',
    \ '\:u7121:': '🈚',
    \ '\:u6307:': '🈯',
    \ '\:u7981:': '🈲',
    \ '\:u7a7a:': '🈳',
    \ '\:u5408:': '🈴',
    \ '\:u6e80:': '🈵',
    \ '\:u6709:': '🈶',
    \ '\:u6708:': '🈷',
    \ '\:u7533:': '🈸',
    \ '\:u5272:': '🈹',
    \ '\:u55b6:': '🈺',
    \ '\:ideograph_advantage:': '🉐',
    \ '\:accept:': '🉑',
    \ '\:cyclone:': '🌀',
    \ '\:foggy:': '🌁',
    \ '\:closed_umbrella:': '🌂',
    \ '\:night_with_stars:': '🌃',
    \ '\:sunrise_over_mountains:': '🌄',
    \ '\:sunrise:': '🌅',
    \ '\:city_sunset:': '🌆',
    \ '\:city_sunrise:': '🌇',
    \ '\:rainbow:': '🌈',
    \ '\:bridge_at_night:': '🌉',
    \ '\:ocean:': '🌊',
    \ '\:volcano:': '🌋',
    \ '\:milky_way:': '🌌',
    \ '\:earth_africa:': '🌍',
    \ '\:earth_americas:': '🌎',
    \ '\:earth_asia:': '🌏',
    \ '\:globe_with_meridians:': '🌐',
    \ '\:new_moon:': '🌑',
    \ '\:waxing_crescent_moon:': '🌒',
    \ '\:first_quarter_moon:': '🌓',
    \ '\:moon:': '🌔',
    \ '\:full_moon:': '🌕',
    \ '\:waning_gibbous_moon:': '🌖',
    \ '\:last_quarter_moon:': '🌗',
    \ '\:waning_crescent_moon:': '🌘',
    \ '\:crescent_moon:': '🌙',
    \ '\:new_moon_with_face:': '🌚',
    \ '\:first_quarter_moon_with_face:': '🌛',
    \ '\:last_quarter_moon_with_face:': '🌜',
    \ '\:full_moon_with_face:': '🌝',
    \ '\:sun_with_face:': '🌞',
    \ '\:star2:': '🌟',
    \ '\:stars:': '🌠',
    \ '\:hotdog:': '🌭',
    \ '\:taco:': '🌮',
    \ '\:burrito:': '🌯',
    \ '\:chestnut:': '🌰',
    \ '\:seedling:': '🌱',
    \ '\:evergreen_tree:': '🌲',
    \ '\:deciduous_tree:': '🌳',
    \ '\:palm_tree:': '🌴',
    \ '\:cactus:': '🌵',
    \ '\:tulip:': '🌷',
    \ '\:cherry_blossom:': '🌸',
    \ '\:rose:': '🌹',
    \ '\:hibiscus:': '🌺',
    \ '\:sunflower:': '🌻',
    \ '\:blossom:': '🌼',
    \ '\:corn:': '🌽',
    \ '\:ear_of_rice:': '🌾',
    \ '\:herb:': '🌿',
    \ '\:four_leaf_clover:': '🍀',
    \ '\:maple_leaf:': '🍁',
    \ '\:fallen_leaf:': '🍂',
    \ '\:leaves:': '🍃',
    \ '\:mushroom:': '🍄',
    \ '\:tomato:': '🍅',
    \ '\:eggplant:': '🍆',
    \ '\:grapes:': '🍇',
    \ '\:melon:': '🍈',
    \ '\:watermelon:': '🍉',
    \ '\:tangerine:': '🍊',
    \ '\:lemon:': '🍋',
    \ '\:banana:': '🍌',
    \ '\:pineapple:': '🍍',
    \ '\:apple:': '🍎',
    \ '\:green_apple:': '🍏',
    \ '\:pear:': '🍐',
    \ '\:peach:': '🍑',
    \ '\:cherries:': '🍒',
    \ '\:strawberry:': '🍓',
    \ '\:hamburger:': '🍔',
    \ '\:pizza:': '🍕',
    \ '\:meat_on_bone:': '🍖',
    \ '\:poultry_leg:': '🍗',
    \ '\:rice_cracker:': '🍘',
    \ '\:rice_ball:': '🍙',
    \ '\:rice:': '🍚',
    \ '\:curry:': '🍛',
    \ '\:ramen:': '🍜',
    \ '\:spaghetti:': '🍝',
    \ '\:bread:': '🍞',
    \ '\:fries:': '🍟',
    \ '\:sweet_potato:': '🍠',
    \ '\:dango:': '🍡',
    \ '\:oden:': '🍢',
    \ '\:sushi:': '🍣',
    \ '\:fried_shrimp:': '🍤',
    \ '\:fish_cake:': '🍥',
    \ '\:icecream:': '🍦',
    \ '\:shaved_ice:': '🍧',
    \ '\:ice_cream:': '🍨',
    \ '\:doughnut:': '🍩',
    \ '\:cookie:': '🍪',
    \ '\:chocolate_bar:': '🍫',
    \ '\:candy:': '🍬',
    \ '\:lollipop:': '🍭',
    \ '\:custard:': '🍮',
    \ '\:honey_pot:': '🍯',
    \ '\:cake:': '🍰',
    \ '\:bento:': '🍱',
    \ '\:stew:': '🍲',
    \ '\:fried_egg:': '🍳',
    \ '\:fork_and_knife:': '🍴',
    \ '\:tea:': '🍵',
    \ '\:sake:': '🍶',
    \ '\:wine_glass:': '🍷',
    \ '\:cocktail:': '🍸',
    \ '\:tropical_drink:': '🍹',
    \ '\:beer:': '🍺',
    \ '\:beers:': '🍻',
    \ '\:baby_bottle:': '🍼',
    \ '\:champagne:': '🍾',
    \ '\:popcorn:': '🍿',
    \ '\:ribbon:': '🎀',
    \ '\:gift:': '🎁',
    \ '\:birthday:': '🎂',
    \ '\:jack_o_lantern:': '🎃',
    \ '\:christmas_tree:': '🎄',
    \ '\:santa:': '🎅',
    \ '\:fireworks:': '🎆',
    \ '\:sparkler:': '🎇',
    \ '\:balloon:': '🎈',
    \ '\:tada:': '🎉',
    \ '\:confetti_ball:': '🎊',
    \ '\:tanabata_tree:': '🎋',
    \ '\:crossed_flags:': '🎌',
    \ '\:bamboo:': '🎍',
    \ '\:dolls:': '🎎',
    \ '\:flags:': '🎏',
    \ '\:wind_chime:': '🎐',
    \ '\:rice_scene:': '🎑',
    \ '\:school_satchel:': '🎒',
    \ '\:mortar_board:': '🎓',
    \ '\:carousel_horse:': '🎠',
    \ '\:ferris_wheel:': '🎡',
    \ '\:roller_coaster:': '🎢',
    \ '\:fishing_pole_and_fish:': '🎣',
    \ '\:microphone:': '🎤',
    \ '\:movie_camera:': '🎥',
    \ '\:cinema:': '🎦',
    \ '\:headphones:': '🎧',
    \ '\:art:': '🎨',
    \ '\:tophat:': '🎩',
    \ '\:circus_tent:': '🎪',
    \ '\:ticket:': '🎫',
    \ '\:clapper:': '🎬',
    \ '\:performing_arts:': '🎭',
    \ '\:video_game:': '🎮',
    \ '\:dart:': '🎯',
    \ '\:slot_machine:': '🎰',
    \ '\:8ball:': '🎱',
    \ '\:game_die:': '🎲',
    \ '\:bowling:': '🎳',
    \ '\:flower_playing_cards:': '🎴',
    \ '\:musical_note:': '🎵',
    \ '\:notes:': '🎶',
    \ '\:saxophone:': '🎷',
    \ '\:guitar:': '🎸',
    \ '\:musical_keyboard:': '🎹',
    \ '\:trumpet:': '🎺',
    \ '\:violin:': '🎻',
    \ '\:musical_score:': '🎼',
    \ '\:running_shirt_with_sash:': '🎽',
    \ '\:tennis:': '🎾',
    \ '\:ski:': '🎿',
    \ '\:basketball:': '🏀',
    \ '\:checkered_flag:': '🏁',
    \ '\:snowboarder:': '🏂',
    \ '\:runner:': '🏃',
    \ '\:surfer:': '🏄',
    \ '\:sports_medal:': '🏅',
    \ '\:trophy:': '🏆',
    \ '\:horse_racing:': '🏇',
    \ '\:football:': '🏈',
    \ '\:rugby_football:': '🏉',
    \ '\:swimmer:': '🏊',
    \ '\:cricket_bat_and_ball:': '🏏',
    \ '\:volleyball:': '🏐',
    \ '\:field_hockey_stick_and_ball:': '🏑',
    \ '\:ice_hockey_stick_and_puck:': '🏒',
    \ '\:table_tennis_paddle_and_ball:': '🏓',
    \ '\:house:': '🏠',
    \ '\:house_with_garden:': '🏡',
    \ '\:office:': '🏢',
    \ '\:post_office:': '🏣',
    \ '\:european_post_office:': '🏤',
    \ '\:hospital:': '🏥',
    \ '\:bank:': '🏦',
    \ '\:atm:': '🏧',
    \ '\:hotel:': '🏨',
    \ '\:love_hotel:': '🏩',
    \ '\:convenience_store:': '🏪',
    \ '\:school:': '🏫',
    \ '\:department_store:': '🏬',
    \ '\:factory:': '🏭',
    \ '\:izakaya_lantern:': '🏮',
    \ '\:japanese_castle:': '🏯',
    \ '\:european_castle:': '🏰',
    \ '\:waving_black_flag:': '🏴',
    \ '\:badminton_racquet_and_shuttlecock:': '🏸',
    \ '\:bow_and_arrow:': '🏹',
    \ '\:amphora:': '🏺',
    \ '\:skin-tone-2:': '🏻',
    \ '\:skin-tone-3:': '🏼',
    \ '\:skin-tone-4:': '🏽',
    \ '\:skin-tone-5:': '🏾',
    \ '\:skin-tone-6:': '🏿',
    \ '\:rat:': '🐀',
    \ '\:mouse2:': '🐁',
    \ '\:ox:': '🐂',
    \ '\:water_buffalo:': '🐃',
    \ '\:cow2:': '🐄',
    \ '\:tiger2:': '🐅',
    \ '\:leopard:': '🐆',
    \ '\:rabbit2:': '🐇',
    \ '\:cat2:': '🐈',
    \ '\:dragon:': '🐉',
    \ '\:crocodile:': '🐊',
    \ '\:whale2:': '🐋',
    \ '\:snail:': '🐌',
    \ '\:snake:': '🐍',
    \ '\:racehorse:': '🐎',
    \ '\:ram:': '🐏',
    \ '\:goat:': '🐐',
    \ '\:sheep:': '🐑',
    \ '\:monkey:': '🐒',
    \ '\:rooster:': '🐓',
    \ '\:chicken:': '🐔',
    \ '\:dog2:': '🐕',
    \ '\:pig2:': '🐖',
    \ '\:boar:': '🐗',
    \ '\:elephant:': '🐘',
    \ '\:octopus:': '🐙',
    \ '\:shell:': '🐚',
    \ '\:bug:': '🐛',
    \ '\:ant:': '🐜',
    \ '\:bee:': '🐝',
    \ '\:ladybug:': '🐞',
    \ '\:fish:': '🐟',
    \ '\:tropical_fish:': '🐠',
    \ '\:blowfish:': '🐡',
    \ '\:turtle:': '🐢',
    \ '\:hatching_chick:': '🐣',
    \ '\:baby_chick:': '🐤',
    \ '\:hatched_chick:': '🐥',
    \ '\:bird:': '🐦',
    \ '\:penguin:': '🐧',
    \ '\:koala:': '🐨',
    \ '\:poodle:': '🐩',
    \ '\:dromedary_camel:': '🐪',
    \ '\:camel:': '🐫',
    \ '\:dolphin:': '🐬',
    \ '\:mouse:': '🐭',
    \ '\:cow:': '🐮',
    \ '\:tiger:': '🐯',
    \ '\:rabbit:': '🐰',
    \ '\:cat:': '🐱',
    \ '\:dragon_face:': '🐲',
    \ '\:whale:': '🐳',
    \ '\:horse:': '🐴',
    \ '\:monkey_face:': '🐵',
    \ '\:dog:': '🐶',
    \ '\:pig:': '🐷',
    \ '\:frog:': '🐸',
    \ '\:hamster:': '🐹',
    \ '\:wolf:': '🐺',
    \ '\:bear:': '🐻',
    \ '\:panda_face:': '🐼',
    \ '\:pig_nose:': '🐽',
    \ '\:feet:': '🐾',
    \ '\:eyes:': '👀',
    \ '\:ear:': '👂',
    \ '\:nose:': '👃',
    \ '\:lips:': '👄',
    \ '\:tongue:': '👅',
    \ '\:point_up_2:': '👆',
    \ '\:point_down:': '👇',
    \ '\:point_left:': '👈',
    \ '\:point_right:': '👉',
    \ '\:facepunch:': '👊',
    \ '\:wave:': '👋',
    \ '\:ok_hand:': '👌',
    \ '\:+1:': '👍',
    \ '\:-1:': '👎',
    \ '\:clap:': '👏',
    \ '\:open_hands:': '👐',
    \ '\:crown:': '👑',
    \ '\:womans_hat:': '👒',
    \ '\:eyeglasses:': '👓',
    \ '\:necktie:': '👔',
    \ '\:shirt:': '👕',
    \ '\:jeans:': '👖',
    \ '\:dress:': '👗',
    \ '\:kimono:': '👘',
    \ '\:bikini:': '👙',
    \ '\:womans_clothes:': '👚',
    \ '\:purse:': '👛',
    \ '\:handbag:': '👜',
    \ '\:pouch:': '👝',
    \ '\:mans_shoe:': '👞',
    \ '\:athletic_shoe:': '👟',
    \ '\:high_heel:': '👠',
    \ '\:sandal:': '👡',
    \ '\:boot:': '👢',
    \ '\:footprints:': '👣',
    \ '\:bust_in_silhouette:': '👤',
    \ '\:busts_in_silhouette:': '👥',
    \ '\:boy:': '👦',
    \ '\:girl:': '👧',
    \ '\:man:': '👨',
    \ '\:woman:': '👩',
    \ '\:family:': '👪',
    \ '\:couple:': '👫',
    \ '\:man_and_woman_holding_hands:': '👫',
    \ '\:two_men_holding_hands:': '👬',
    \ '\:two_women_holding_hands:': '👭',
    \ '\:cop:': '👮',
    \ '\:dancers:': '👯',
    \ '\:bride_with_veil:': '👰',
    \ '\:person_with_blond_hair:': '👱',
    \ '\:man_with_gua_pi_mao:': '👲',
    \ '\:man_with_turban:': '👳',
    \ '\:older_man:': '👴',
    \ '\:older_woman:': '👵',
    \ '\:baby:': '👶',
    \ '\:construction_worker:': '👷',
    \ '\:princess:': '👸',
    \ '\:japanese_ogre:': '👹',
    \ '\:japanese_goblin:': '👺',
    \ '\:ghost:': '👻',
    \ '\:angel:': '👼',
    \ '\:alien:': '👽',
    \ '\:space_invader:': '👾',
    \ '\:imp:': '👿',
    \ '\:skull:': '💀',
    \ '\:information_desk_person:': '💁',
    \ '\:guardsman:': '💂',
    \ '\:dancer:': '💃',
    \ '\:lipstick:': '💄',
    \ '\:nail_care:': '💅',
    \ '\:massage:': '💆',
    \ '\:haircut:': '💇',
    \ '\:barber:': '💈',
    \ '\:syringe:': '💉',
    \ '\:pill:': '💊',
    \ '\:kiss:': '💋',
    \ '\:love_letter:': '💌',
    \ '\:ring:': '💍',
    \ '\:gem:': '💎',
    \ '\:couplekiss:': '💏',
    \ '\:bouquet:': '💐',
    \ '\:couple_with_heart:': '💑',
    \ '\:wedding:': '💒',
    \ '\:heartbeat:': '💓',
    \ '\:broken_heart:': '💔',
    \ '\:two_hearts:': '💕',
    \ '\:sparkling_heart:': '💖',
    \ '\:heartpulse:': '💗',
    \ '\:cupid:': '💘',
    \ '\:blue_heart:': '💙',
    \ '\:green_heart:': '💚',
    \ '\:yellow_heart:': '💛',
    \ '\:purple_heart:': '💜',
    \ '\:gift_heart:': '💝',
    \ '\:revolving_hearts:': '💞',
    \ '\:heart_decoration:': '💟',
    \ '\:diamond_shape_with_a_dot_inside:': '💠',
    \ '\:bulb:': '💡',
    \ '\:anger:': '💢',
    \ '\:bomb:': '💣',
    \ '\:zzz:': '💤',
    \ '\:boom:': '💥',
    \ '\:sweat_drops:': '💦',
    \ '\:droplet:': '💧',
    \ '\:dash:': '💨',
    \ '\:hankey:': '💩',
    \ '\:muscle:': '💪',
    \ '\:dizzy:': '💫',
    \ '\:speech_balloon:': '💬',
    \ '\:thought_balloon:': '💭',
    \ '\:white_flower:': '💮',
    \ '\:100:': '💯',
    \ '\:moneybag:': '💰',
    \ '\:currency_exchange:': '💱',
    \ '\:heavy_dollar_sign:': '💲',
    \ '\:credit_card:': '💳',
    \ '\:yen:': '💴',
    \ '\:dollar:': '💵',
    \ '\:euro:': '💶',
    \ '\:pound:': '💷',
    \ '\:money_with_wings:': '💸',
    \ '\:chart:': '💹',
    \ '\:seat:': '💺',
    \ '\:computer:': '💻',
    \ '\:briefcase:': '💼',
    \ '\:minidisc:': '💽',
    \ '\:floppy_disk:': '💾',
    \ '\:cd:': '💿',
    \ '\:dvd:': '📀',
    \ '\:file_folder:': '📁',
    \ '\:open_file_folder:': '📂',
    \ '\:page_with_curl:': '📃',
    \ '\:page_facing_up:': '📄',
    \ '\:date:': '📅',
    \ '\:calendar:': '📆',
    \ '\:card_index:': '📇',
    \ '\:chart_with_upwards_trend:': '📈',
    \ '\:chart_with_downwards_trend:': '📉',
    \ '\:bar_chart:': '📊',
    \ '\:clipboard:': '📋',
    \ '\:pushpin:': '📌',
    \ '\:round_pushpin:': '📍',
    \ '\:paperclip:': '📎',
    \ '\:straight_ruler:': '📏',
    \ '\:triangular_ruler:': '📐',
    \ '\:bookmark_tabs:': '📑',
    \ '\:ledger:': '📒',
    \ '\:notebook:': '📓',
    \ '\:notebook_with_decorative_cover:': '📔',
    \ '\:closed_book:': '📕',
    \ '\:book:': '📖',
    \ '\:green_book:': '📗',
    \ '\:blue_book:': '📘',
    \ '\:orange_book:': '📙',
    \ '\:books:': '📚',
    \ '\:name_badge:': '📛',
    \ '\:scroll:': '📜',
    \ '\:memo:': '📝',
    \ '\:telephone_receiver:': '📞',
    \ '\:pager:': '📟',
    \ '\:fax:': '📠',
    \ '\:satellite:': '📡',
    \ '\:satellite_antenna:': '📡',
    \ '\:loudspeaker:': '📢',
    \ '\:mega:': '📣',
    \ '\:outbox_tray:': '📤',
    \ '\:inbox_tray:': '📥',
    \ '\:package:': '📦',
    \ '\:e-mail:': '📧',
    \ '\:incoming_envelope:': '📨',
    \ '\:envelope_with_arrow:': '📩',
    \ '\:mailbox_closed:': '📪',
    \ '\:mailbox:': '📫',
    \ '\:mailbox_with_mail:': '📬',
    \ '\:mailbox_with_no_mail:': '📭',
    \ '\:postbox:': '📮',
    \ '\:postal_horn:': '📯',
    \ '\:newspaper:': '📰',
    \ '\:iphone:': '📱',
    \ '\:calling:': '📲',
    \ '\:vibration_mode:': '📳',
    \ '\:mobile_phone_off:': '📴',
    \ '\:no_mobile_phones:': '📵',
    \ '\:signal_strength:': '📶',
    \ '\:camera:': '📷',
    \ '\:camera_with_flash:': '📸',
    \ '\:video_camera:': '📹',
    \ '\:tv:': '📺',
    \ '\:radio:': '📻',
    \ '\:vhs:': '📼',
    \ '\:prayer_beads:': '📿',
    \ '\:twisted_rightwards_arrows:': '🔀',
    \ '\:repeat:': '🔁',
    \ '\:repeat_one:': '🔂',
    \ '\:arrows_clockwise:': '🔃',
    \ '\:arrows_counterclockwise:': '🔄',
    \ '\:low_brightness:': '🔅',
    \ '\:high_brightness:': '🔆',
    \ '\:mute:': '🔇',
    \ '\:speaker:': '🔈',
    \ '\:sound:': '🔉',
    \ '\:loud_sound:': '🔊',
    \ '\:battery:': '🔋',
    \ '\:electric_plug:': '🔌',
    \ '\:mag:': '🔍',
    \ '\:mag_right:': '🔎',
    \ '\:lock_with_ink_pen:': '🔏',
    \ '\:closed_lock_with_key:': '🔐',
    \ '\:key:': '🔑',
    \ '\:lock:': '🔒',
    \ '\:unlock:': '🔓',
    \ '\:bell:': '🔔',
    \ '\:no_bell:': '🔕',
    \ '\:bookmark:': '🔖',
    \ '\:link:': '🔗',
    \ '\:radio_button:': '🔘',
    \ '\:back:': '🔙',
    \ '\:end:': '🔚',
    \ '\:on:': '🔛',
    \ '\:soon:': '🔜',
    \ '\:top:': '🔝',
    \ '\:underage:': '🔞',
    \ '\:keycap_ten:': '🔟',
    \ '\:capital_abcd:': '🔠',
    \ '\:abcd:': '🔡',
    \ '\:1234:': '🔢',
    \ '\:symbols:': '🔣',
    \ '\:abc:': '🔤',
    \ '\:fire:': '🔥',
    \ '\:flashlight:': '🔦',
    \ '\:wrench:': '🔧',
    \ '\:hammer:': '🔨',
    \ '\:nut_and_bolt:': '🔩',
    \ '\:hocho:': '🔪',
    \ '\:gun:': '🔫',
    \ '\:microscope:': '🔬',
    \ '\:telescope:': '🔭',
    \ '\:crystal_ball:': '🔮',
    \ '\:six_pointed_star:': '🔯',
    \ '\:beginner:': '🔰',
    \ '\:trident:': '🔱',
    \ '\:black_square_button:': '🔲',
    \ '\:white_square_button:': '🔳',
    \ '\:red_circle:': '🔴',
    \ '\:large_blue_circle:': '🔵',
    \ '\:large_orange_diamond:': '🔶',
    \ '\:large_blue_diamond:': '🔷',
    \ '\:small_orange_diamond:': '🔸',
    \ '\:small_blue_diamond:': '🔹',
    \ '\:small_red_triangle:': '🔺',
    \ '\:small_red_triangle_down:': '🔻',
    \ '\:arrow_up_small:': '🔼',
    \ '\:arrow_down_small:': '🔽',
    \ '\:kaaba:': '🕋',
    \ '\:mosque:': '🕌',
    \ '\:synagogue:': '🕍',
    \ '\:menorah_with_nine_branches:': '🕎',
    \ '\:clock1:': '🕐',
    \ '\:clock2:': '🕑',
    \ '\:clock3:': '🕒',
    \ '\:clock4:': '🕓',
    \ '\:clock5:': '🕔',
    \ '\:clock6:': '🕕',
    \ '\:clock7:': '🕖',
    \ '\:clock8:': '🕗',
    \ '\:clock9:': '🕘',
    \ '\:clock10:': '🕙',
    \ '\:clock11:': '🕚',
    \ '\:clock12:': '🕛',
    \ '\:clock130:': '🕜',
    \ '\:clock230:': '🕝',
    \ '\:clock330:': '🕞',
    \ '\:clock430:': '🕟',
    \ '\:clock530:': '🕠',
    \ '\:clock630:': '🕡',
    \ '\:clock730:': '🕢',
    \ '\:clock830:': '🕣',
    \ '\:clock930:': '🕤',
    \ '\:clock1030:': '🕥',
    \ '\:clock1130:': '🕦',
    \ '\:clock1230:': '🕧',
    \ '\:man_dancing:': '🕺',
    \ '\:middle_finger:': '🖕',
    \ '\:spock-hand:': '🖖',
    \ '\:black_heart:': '🖤',
    \ '\:mount_fuji:': '🗻',
    \ '\:tokyo_tower:': '🗼',
    \ '\:statue_of_liberty:': '🗽',
    \ '\:japan:': '🗾',
    \ '\:moyai:': '🗿',
    \ '\:grinning:': '😀',
    \ '\:grin:': '😁',
    \ '\:joy:': '😂',
    \ '\:smiley:': '😃',
    \ '\:smile:': '😄',
    \ '\:sweat_smile:': '😅',
    \ '\:laughing:': '😆',
    \ '\:innocent:': '😇',
    \ '\:smiling_imp:': '😈',
    \ '\:wink:': '😉',
    \ '\:blush:': '😊',
    \ '\:yum:': '😋',
    \ '\:relieved:': '😌',
    \ '\:heart_eyes:': '😍',
    \ '\:sunglasses:': '😎',
    \ '\:smirk:': '😏',
    \ '\:neutral_face:': '😐',
    \ '\:expressionless:': '😑',
    \ '\:unamused:': '😒',
    \ '\:sweat:': '😓',
    \ '\:pensive:': '😔',
    \ '\:confused:': '😕',
    \ '\:confounded:': '😖',
    \ '\:kissing:': '😗',
    \ '\:kissing_heart:': '😘',
    \ '\:kissing_smiling_eyes:': '😙',
    \ '\:kissing_closed_eyes:': '😚',
    \ '\:stuck_out_tongue:': '😛',
    \ '\:stuck_out_tongue_winking_eye:': '😜',
    \ '\:stuck_out_tongue_closed_eyes:': '😝',
    \ '\:disappointed:': '😞',
    \ '\:worried:': '😟',
    \ '\:angry:': '😠',
    \ '\:rage:': '😡',
    \ '\:cry:': '😢',
    \ '\:persevere:': '😣',
    \ '\:triumph:': '😤',
    \ '\:disappointed_relieved:': '😥',
    \ '\:frowning:': '😦',
    \ '\:anguished:': '😧',
    \ '\:fearful:': '😨',
    \ '\:weary:': '😩',
    \ '\:sleepy:': '😪',
    \ '\:tired_face:': '😫',
    \ '\:grimacing:': '😬',
    \ '\:sob:': '😭',
    \ '\:open_mouth:': '😮',
    \ '\:hushed:': '😯',
    \ '\:cold_sweat:': '😰',
    \ '\:scream:': '😱',
    \ '\:astonished:': '😲',
    \ '\:flushed:': '😳',
    \ '\:sleeping:': '😴',
    \ '\:dizzy_face:': '😵',
    \ '\:no_mouth:': '😶',
    \ '\:mask:': '😷',
    \ '\:smile_cat:': '😸',
    \ '\:joy_cat:': '😹',
    \ '\:smiley_cat:': '😺',
    \ '\:heart_eyes_cat:': '😻',
    \ '\:smirk_cat:': '😼',
    \ '\:kissing_cat:': '😽',
    \ '\:pouting_cat:': '😾',
    \ '\:crying_cat_face:': '😿',
    \ '\:scream_cat:': '🙀',
    \ '\:slightly_frowning_face:': '🙁',
    \ '\:slightly_smiling_face:': '🙂',
    \ '\:upside_down_face:': '🙃',
    \ '\:face_with_rolling_eyes:': '🙄',
    \ '\:no_good:': '🙅',
    \ '\:ok_woman:': '🙆',
    \ '\:bow:': '🙇',
    \ '\:see_no_evil:': '🙈',
    \ '\:hear_no_evil:': '🙉',
    \ '\:speak_no_evil:': '🙊',
    \ '\:raising_hand:': '🙋',
    \ '\:raised_hands:': '🙌',
    \ '\:person_frowning:': '🙍',
    \ '\:person_with_pouting_face:': '🙎',
    \ '\:pray:': '🙏',
    \ '\:rocket:': '🚀',
    \ '\:helicopter:': '🚁',
    \ '\:steam_locomotive:': '🚂',
    \ '\:railway_car:': '🚃',
    \ '\:bullettrain_side:': '🚄',
    \ '\:bullettrain_front:': '🚅',
    \ '\:train2:': '🚆',
    \ '\:metro:': '🚇',
    \ '\:light_rail:': '🚈',
    \ '\:station:': '🚉',
    \ '\:tram:': '🚊',
    \ '\:train:': '🚋',
    \ '\:bus:': '🚌',
    \ '\:oncoming_bus:': '🚍',
    \ '\:trolleybus:': '🚎',
    \ '\:busstop:': '🚏',
    \ '\:minibus:': '🚐',
    \ '\:ambulance:': '🚑',
    \ '\:fire_engine:': '🚒',
    \ '\:police_car:': '🚓',
    \ '\:oncoming_police_car:': '🚔',
    \ '\:taxi:': '🚕',
    \ '\:oncoming_taxi:': '🚖',
    \ '\:car:': '🚗',
    \ '\:oncoming_automobile:': '🚘',
    \ '\:blue_car:': '🚙',
    \ '\:truck:': '🚚',
    \ '\:articulated_lorry:': '🚛',
    \ '\:tractor:': '🚜',
    \ '\:monorail:': '🚝',
    \ '\:mountain_railway:': '🚞',
    \ '\:suspension_railway:': '🚟',
    \ '\:mountain_cableway:': '🚠',
    \ '\:aerial_tramway:': '🚡',
    \ '\:ship:': '🚢',
    \ '\:rowboat:': '🚣',
    \ '\:speedboat:': '🚤',
    \ '\:traffic_light:': '🚥',
    \ '\:vertical_traffic_light:': '🚦',
    \ '\:construction:': '🚧',
    \ '\:rotating_light:': '🚨',
    \ '\:triangular_flag_on_post:': '🚩',
    \ '\:door:': '🚪',
    \ '\:no_entry_sign:': '🚫',
    \ '\:smoking:': '🚬',
    \ '\:no_smoking:': '🚭',
    \ '\:put_litter_in_its_place:': '🚮',
    \ '\:do_not_litter:': '🚯',
    \ '\:potable_water:': '🚰',
    \ '\:non-potable_water:': '🚱',
    \ '\:bike:': '🚲',
    \ '\:no_bicycles:': '🚳',
    \ '\:bicyclist:': '🚴',
    \ '\:mountain_bicyclist:': '🚵',
    \ '\:walking:': '🚶',
    \ '\:no_pedestrians:': '🚷',
    \ '\:children_crossing:': '🚸',
    \ '\:mens:': '🚹',
    \ '\:womens:': '🚺',
    \ '\:restroom:': '🚻',
    \ '\:baby_symbol:': '🚼',
    \ '\:toilet:': '🚽',
    \ '\:wc:': '🚾',
    \ '\:shower:': '🚿',
    \ '\:bath:': '🛀',
    \ '\:bathtub:': '🛁',
    \ '\:passport_control:': '🛂',
    \ '\:customs:': '🛃',
    \ '\:baggage_claim:': '🛄',
    \ '\:left_luggage:': '🛅',
    \ '\:sleeping_accommodation:': '🛌',
    \ '\:place_of_worship:': '🛐',
    \ '\:octagonal_sign:': '🛑',
    \ '\:shopping_trolley:': '🛒',
    \ '\:hindu_temple:': '🛕',
    \ '\:hut:': '🛖',
    \ '\:elevator:': '🛗',
    \ '\:airplane_departure:': '🛫',
    \ '\:airplane_arriving:': '🛬',
    \ '\:scooter:': '🛴',
    \ '\:motor_scooter:': '🛵',
    \ '\:canoe:': '🛶',
    \ '\:sled:': '🛷',
    \ '\:flying_saucer:': '🛸',
    \ '\:skateboard:': '🛹',
    \ '\:auto_rickshaw:': '🛺',
    \ '\:pickup_truck:': '🛻',
    \ '\:roller_skate:': '🛼',
    \ '\:large_orange_circle:': '🟠',
    \ '\:large_yellow_circle:': '🟡',
    \ '\:large_green_circle:': '🟢',
    \ '\:large_purple_circle:': '🟣',
    \ '\:large_brown_circle:': '🟤',
    \ '\:large_red_square:': '🟥',
    \ '\:large_blue_square:': '🟦',
    \ '\:large_orange_square:': '🟧',
    \ '\:large_yellow_square:': '🟨',
    \ '\:large_green_square:': '🟩',
    \ '\:large_purple_square:': '🟪',
    \ '\:large_brown_square:': '🟫',
    \ '\:pinched_fingers:': '🤌',
    \ '\:white_heart:': '🤍',
    \ '\:brown_heart:': '🤎',
    \ '\:pinching_hand:': '🤏',
    \ '\:zipper_mouth_face:': '🤐',
    \ '\:money_mouth_face:': '🤑',
    \ '\:face_with_thermometer:': '🤒',
    \ '\:nerd_face:': '🤓',
    \ '\:thinking_face:': '🤔',
    \ '\:face_with_head_bandage:': '🤕',
    \ '\:robot_face:': '🤖',
    \ '\:hugging_face:': '🤗',
    \ '\:the_horns:': '🤘',
    \ '\:call_me_hand:': '🤙',
    \ '\:raised_back_of_hand:': '🤚',
    \ '\:left-facing_fist:': '🤛',
    \ '\:right-facing_fist:': '🤜',
    \ '\:handshake:': '🤝',
    \ '\:crossed_fingers:': '🤞',
    \ '\:i_love_you_hand_sign:': '🤟',
    \ '\:face_with_cowboy_hat:': '🤠',
    \ '\:clown_face:': '🤡',
    \ '\:nauseated_face:': '🤢',
    \ '\:rolling_on_the_floor_laughing:': '🤣',
    \ '\:drooling_face:': '🤤',
    \ '\:lying_face:': '🤥',
    \ '\:face_palm:': '🤦',
    \ '\:sneezing_face:': '🤧',
    \ '\:face_with_raised_eyebrow:': '🤨',
    \ '\:star-struck:': '🤩',
    \ '\:zany_face:': '🤪',
    \ '\:shushing_face:': '🤫',
    \ '\:face_with_symbols_on_mouth:': '🤬',
    \ '\:face_with_hand_over_mouth:': '🤭',
    \ '\:face_vomiting:': '🤮',
    \ '\:exploding_head:': '🤯',
    \ '\:pregnant_woman:': '🤰',
    \ '\:breast-feeding:': '🤱',
    \ '\:palms_up_together:': '🤲',
    \ '\:selfie:': '🤳',
    \ '\:prince:': '🤴',
    \ '\:person_in_tuxedo:': '🤵',
    \ '\:mrs_claus:': '🤶',
    \ '\:shrug:': '🤷',
    \ '\:person_doing_cartwheel:': '🤸',
    \ '\:juggling:': '🤹',
    \ '\:fencer:': '🤺',
    \ '\:wrestlers:': '🤼',
    \ '\:water_polo:': '🤽',
    \ '\:handball:': '🤾',
    \ '\:diving_mask:': '🤿',
    \ '\:wilted_flower:': '🥀',
    \ '\:drum_with_drumsticks:': '🥁',
    \ '\:clinking_glasses:': '🥂',
    \ '\:tumbler_glass:': '🥃',
    \ '\:spoon:': '🥄',
    \ '\:goal_net:': '🥅',
    \ '\:first_place_medal:': '🥇',
    \ '\:second_place_medal:': '🥈',
    \ '\:third_place_medal:': '🥉',
    \ '\:boxing_glove:': '🥊',
    \ '\:martial_arts_uniform:': '🥋',
    \ '\:curling_stone:': '🥌',
    \ '\:lacrosse:': '🥍',
    \ '\:softball:': '🥎',
    \ '\:flying_disc:': '🥏',
    \ '\:croissant:': '🥐',
    \ '\:avocado:': '🥑',
    \ '\:cucumber:': '🥒',
    \ '\:bacon:': '🥓',
    \ '\:potato:': '🥔',
    \ '\:carrot:': '🥕',
    \ '\:baguette_bread:': '🥖',
    \ '\:green_salad:': '🥗',
    \ '\:shallow_pan_of_food:': '🥘',
    \ '\:stuffed_flatbread:': '🥙',
    \ '\:egg:': '🥚',
    \ '\:glass_of_milk:': '🥛',
    \ '\:peanuts:': '🥜',
    \ '\:kiwifruit:': '🥝',
    \ '\:pancakes:': '🥞',
    \ '\:dumpling:': '🥟',
    \ '\:fortune_cookie:': '🥠',
    \ '\:takeout_box:': '🥡',
    \ '\:chopsticks:': '🥢',
    \ '\:bowl_with_spoon:': '🥣',
    \ '\:cup_with_straw:': '🥤',
    \ '\:coconut:': '🥥',
    \ '\:broccoli:': '🥦',
    \ '\:pie:': '🥧',
    \ '\:pretzel:': '🥨',
    \ '\:cut_of_meat:': '🥩',
    \ '\:sandwich:': '🥪',
    \ '\:canned_food:': '🥫',
    \ '\:leafy_green:': '🥬',
    \ '\:mango:': '🥭',
    \ '\:moon_cake:': '🥮',
    \ '\:bagel:': '🥯',
    \ '\:smiling_face_with_3_hearts:': '🥰',
    \ '\:yawning_face:': '🥱',
    \ '\:smiling_face_with_tear:': '🥲',
    \ '\:partying_face:': '🥳',
    \ '\:woozy_face:': '🥴',
    \ '\:hot_face:': '🥵',
    \ '\:cold_face:': '🥶',
    \ '\:ninja:': '🥷',
    \ '\:disguised_face:': '🥸',
    \ '\:pleading_face:': '🥺',
    \ '\:sari:': '🥻',
    \ '\:lab_coat:': '🥼',
    \ '\:goggles:': '🥽',
    \ '\:hiking_boot:': '🥾',
    \ '\:womans_flat_shoe:': '🥿',
    \ '\:crab:': '🦀',
    \ '\:lion_face:': '🦁',
    \ '\:scorpion:': '🦂',
    \ '\:turkey:': '🦃',
    \ '\:unicorn_face:': '🦄',
    \ '\:eagle:': '🦅',
    \ '\:duck:': '🦆',
    \ '\:bat:': '🦇',
    \ '\:shark:': '🦈',
    \ '\:owl:': '🦉',
    \ '\:fox_face:': '🦊',
    \ '\:butterfly:': '🦋',
    \ '\:deer:': '🦌',
    \ '\:gorilla:': '🦍',
    \ '\:lizard:': '🦎',
    \ '\:rhinoceros:': '🦏',
    \ '\:shrimp:': '🦐',
    \ '\:squid:': '🦑',
    \ '\:giraffe_face:': '🦒',
    \ '\:zebra_face:': '🦓',
    \ '\:hedgehog:': '🦔',
    \ '\:sauropod:': '🦕',
    \ '\:t-rex:': '🦖',
    \ '\:cricket:': '🦗',
    \ '\:kangaroo:': '🦘',
    \ '\:llama:': '🦙',
    \ '\:peacock:': '🦚',
    \ '\:hippopotamus:': '🦛',
    \ '\:parrot:': '🦜',
    \ '\:raccoon:': '🦝',
    \ '\:lobster:': '🦞',
    \ '\:mosquito:': '🦟',
    \ '\:microbe:': '🦠',
    \ '\:badger:': '🦡',
    \ '\:swan:': '🦢',
    \ '\:mammoth:': '🦣',
    \ '\:dodo:': '🦤',
    \ '\:sloth:': '🦥',
    \ '\:otter:': '🦦',
    \ '\:orangutan:': '🦧',
    \ '\:skunk:': '🦨',
    \ '\:flamingo:': '🦩',
    \ '\:oyster:': '🦪',
    \ '\:beaver:': '🦫',
    \ '\:bison:': '🦬',
    \ '\:seal:': '🦭',
    \ '\:guide_dog:': '🦮',
    \ '\:probing_cane:': '🦯',
    \ '\:bone:': '🦴',
    \ '\:leg:': '🦵',
    \ '\:foot:': '🦶',
    \ '\:tooth:': '🦷',
    \ '\:superhero:': '🦸',
    \ '\:supervillain:': '🦹',
    \ '\:safety_vest:': '🦺',
    \ '\:ear_with_hearing_aid:': '🦻',
    \ '\:motorized_wheelchair:': '🦼',
    \ '\:manual_wheelchair:': '🦽',
    \ '\:mechanical_arm:': '🦾',
    \ '\:mechanical_leg:': '🦿',
    \ '\:cheese_wedge:': '🧀',
    \ '\:cupcake:': '🧁',
    \ '\:salt:': '🧂',
    \ '\:beverage_box:': '🧃',
    \ '\:garlic:': '🧄',
    \ '\:onion:': '🧅',
    \ '\:falafel:': '🧆',
    \ '\:waffle:': '🧇',
    \ '\:butter:': '🧈',
    \ '\:mate_drink:': '🧉',
    \ '\:ice_cube:': '🧊',
    \ '\:bubble_tea:': '🧋',
    \ '\:standing_person:': '🧍',
    \ '\:kneeling_person:': '🧎',
    \ '\:deaf_person:': '🧏',
    \ '\:face_with_monocle:': '🧐',
    \ '\:adult:': '🧑',
    \ '\:child:': '🧒',
    \ '\:older_adult:': '🧓',
    \ '\:bearded_person:': '🧔',
    \ '\:person_with_headscarf:': '🧕',
    \ '\:person_in_steamy_room:': '🧖',
    \ '\:person_climbing:': '🧗',
    \ '\:person_in_lotus_position:': '🧘',
    \ '\:mage:': '🧙',
    \ '\:fairy:': '🧚',
    \ '\:vampire:': '🧛',
    \ '\:merperson:': '🧜',
    \ '\:elf:': '🧝',
    \ '\:genie:': '🧞',
    \ '\:zombie:': '🧟',
    \ '\:brain:': '🧠',
    \ '\:orange_heart:': '🧡',
    \ '\:billed_cap:': '🧢',
    \ '\:scarf:': '🧣',
    \ '\:gloves:': '🧤',
    \ '\:coat:': '🧥',
    \ '\:socks:': '🧦',
    \ '\:red_envelope:': '🧧',
    \ '\:firecracker:': '🧨',
    \ '\:jigsaw:': '🧩',
    \ '\:test_tube:': '🧪',
    \ '\:petri_dish:': '🧫',
    \ '\:dna:': '🧬',
    \ '\:compass:': '🧭',
    \ '\:abacus:': '🧮',
    \ '\:fire_extinguisher:': '🧯',
    \ '\:toolbox:': '🧰',
    \ '\:bricks:': '🧱',
    \ '\:magnet:': '🧲',
    \ '\:luggage:': '🧳',
    \ '\:lotion_bottle:': '🧴',
    \ '\:thread:': '🧵',
    \ '\:yarn:': '🧶',
    \ '\:safety_pin:': '🧷',
    \ '\:teddy_bear:': '🧸',
    \ '\:broom:': '🧹',
    \ '\:basket:': '🧺',
    \ '\:roll_of_paper:': '🧻',
    \ '\:soap:': '🧼',
    \ '\:sponge:': '🧽',
    \ '\:receipt:': '🧾',
    \ '\:nazar_amulet:': '🧿',
    \ '\:ballet_shoes:': '🩰',
    \ '\:one-piece_swimsuit:': '🩱',
    \ '\:briefs:': '🩲',
    \ '\:shorts:': '🩳',
    \ '\:thong_sandal:': '🩴',
    \ '\:drop_of_blood:': '🩸',
    \ '\:adhesive_bandage:': '🩹',
    \ '\:stethoscope:': '🩺',
    \ '\:yo-yo:': '🪀',
    \ '\:kite:': '🪁',
    \ '\:parachute:': '🪂',
    \ '\:boomerang:': '🪃',
    \ '\:magic_wand:': '🪄',
    \ '\:pinata:': '🪅',
    \ '\:nesting_dolls:': '🪆',
    \ '\:ringed_planet:': '🪐',
    \ '\:chair:': '🪑',
    \ '\:razor:': '🪒',
    \ '\:axe:': '🪓',
    \ '\:diya_lamp:': '🪔',
    \ '\:banjo:': '🪕',
    \ '\:military_helmet:': '🪖',
    \ '\:accordion:': '🪗',
    \ '\:long_drum:': '🪘',
    \ '\:coin:': '🪙',
    \ '\:carpentry_saw:': '🪚',
    \ '\:screwdriver:': '🪛',
    \ '\:ladder:': '🪜',
    \ '\:hook:': '🪝',
    \ '\:mirror:': '🪞',
    \ '\:window:': '🪟',
    \ '\:plunger:': '🪠',
    \ '\:sewing_needle:': '🪡',
    \ '\:knot:': '🪢',
    \ '\:bucket:': '🪣',
    \ '\:mouse_trap:': '🪤',
    \ '\:toothbrush:': '🪥',
    \ '\:headstone:': '🪦',
    \ '\:placard:': '🪧',
    \ '\:rock:': '🪨',
    \ '\:fly:': '🪰',
    \ '\:worm:': '🪱',
    \ '\:beetle:': '🪲',
    \ '\:cockroach:': '🪳',
    \ '\:potted_plant:': '🪴',
    \ '\:wood:': '🪵',
    \ '\:feather:': '🪶',
    \ '\:anatomical_heart:': '🫀',
    \ '\:lungs:': '🫁',
    \ '\:people_hugging:': '🫂',
    \ '\:blueberries:': '🫐',
    \ '\:bell_pepper:': '🫑',
    \ '\:olive:': '🫒',
    \ '\:flatbread:': '🫓',
    \ '\:tamale:': '🫔',
    \ '\:fondue:': '🫕',
    \ '\:teapot:': '🫖'}
endfunction
